#include <extsearch/ymusic/personalization/protos/likes.pb.h>

#include <saas/api/search_client/client.h>
#include <saas/rtyserver_test/testerlib/rtyserver_test.h>

#include <library/cpp/string_utils/base64/base64.h>

namespace {
    const TStringBuf Docs[] = {
        // madonna herself
        TStringBuf("{\"docs\":[{\"tracks_count_of_users\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_fast_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"IsLive\":[{\"value\":0,\"type\":\"#f\"}],\"IsTribute\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTR\":[{\"value\":0.221772,\"type\":\"#f\"}],\"IsRemix\":[{\"value\":0,\"type\":\"#f\"}],\"various\":[{\"value\":\"0\",\"type\":\"#p\"}],\"alb_storage_dir\":[{\"value\":\"ed692c40.p.1813\",\"type\":\"#p\"}],\"title\":{\"type\":\"#z\",\"value\":\"Madonna\"},\"tracks_radio_likes\":[{\"value\":0,\"type\":\"#f\"}],\"artists_track_likes\":[{\"value\":0.114261,\"type\":\"#f\"}],\"z_performer\":{\"type\":\"#z\",\"value\":\"мадонна. madonna l ciccone. מדונה. マドンナ. madonna. madonna ciccone\"},\"IsUgc\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_fast_skip_listening\":[{\"value\":0.136268,\"type\":\"#f\"}],\"IsPlaylist\":[{\"value\":0,\"type\":\"#f\"}],\"z_grp_name\":{\"type\":\"#z\",\"value\":\"madonna\"},\"regions\":[{\"value\":\"149\",\"type\":\"#p\"},{\"value\":\"149mp\",\"type\":\"#p\"},{\"value\":\"159\",\"type\":\"#p\"},{\"value\":\"159mp\",\"type\":\"#p\"},{\"value\":\"167\",\"type\":\"#p\"},{\"value\":\"167mp\",\"type\":\"#p\"},{\"value\":\"168\",\"type\":\"#p\"},{\"value\":\"168mp\",\"type\":\"#p\"},{\"value\":\"169\",\"type\":\"#p\"},{\"value\":\"169mp\",\"type\":\"#p\"},{\"value\":\"170\",\"type\":\"#p\"},{\"value\":\"170mp\",\"type\":\"#p\"},{\"value\":\"171\",\"type\":\"#p\"},{\"value\":\"171mp\",\"type\":\"#p\"},{\"value\":\"181\",\"type\":\"#p\"},{\"value\":\"181mp\",\"type\":\"#p\"},{\"value\":\"187\",\"type\":\"#p\"},{\"value\":\"187mp\",\"type\":\"#p\"},{\"value\":\"207\",\"type\":\"#p\"},{\"value\":\"207mp\",\"type\":\"#p\"},{\"value\":\"208\",\"type\":\"#p\"},{\"value\":\"208mp\",\"type\":\"#p\"},{\"value\":\"209\",\"type\":\"#p\"},{\"value\":\"209mp\",\"type\":\"#p\"},{\"value\":\"225\",\"type\":\"#p\"},{\"value\":\"225mp\",\"type\":\"#p\"}],\"options\":{\"realtime\":false,\"mime_type\":\"text/plain\"},\"LogShown\":[{\"value\":11.5717,\"type\":\"#f\"}],\"IsAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"CTRLong\":[{\"value\":0.128386,\"type\":\"#f\"}],\"tracks_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_playlists\":[{\"value\":0.189866,\"type\":\"#f\"}],\"albums_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"grp_name\":[{\"value\":\"Madonna\",\"type\":\"#p\"}],\"z_strict_title\":{\"type\":\"#z\",\"value\":\"madonna\"},\"AlbumVersionRank\":[{\"value\":0,\"type\":\"#f\"}],\"i_type\":[{\"value\":3,\"type\":\"#i\"}],\"FreshAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"TrackVersionRank\":[{\"value\":0,\"type\":\"#f\"}],\"s_rights\":[{\"value\":\"225\",\"type\":\"#l\"},{\"value\":\"225mp\",\"type\":\"#l\"}],\"IsJunk\":[{\"value\":0,\"type\":\"#f\"}],\"NormalizedPopularity\":[{\"value\":0.794549,\"type\":\"#f\"}],\"z_title\":{\"type\":\"#z\",\"value\":\"мадонна. madonna l ciccone. מדונה. マドンナ. madonna. madonna ciccone\"},\"IsRadio\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_album_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsArtist\":[{\"value\":1,\"type\":\"#f\"}],\"IsGenericRadio\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"artists_total_listening\":[{\"value\":0.0856089,\"type\":\"#f\"}],\"grp_data\":[{\"value\":\"<popular-tracks><track id=\\\"52890746\\\" storage-dir=\\\"1648266_18df5cc5.78437422.1.52890746\\\" duration=\\\"201\\\" duration-millis=\\\"201690\\\"><title>Crave</title><album id=\\\"7492717\\\" storage-dir=\\\"abee6dad.a.7492717\\\"><title>Crave</title><cover id=\\\"1\\\"></cover></album><region>149</region><region>149mp</region><region>159</region><region>159mp</region><region>167</region><region>167mp</region><region>168</region><region>168mp</region><region>169</region><region>169mp</region><region>170</region><region>170mp</region><region>171</region><region>171mp</region><region>181</region><region>181mp</region><region>187</region><region>187mp</region><region>207</region><region>207mp</region><region>209</region><region>209mp</region><region>225</region><region>225mp</region></track><track id=\\\"53160316\\\" storage-dir=\\\"1655590_79d02327.78864946.1.53160316\\\" duration=\\\"233\\\" duration-millis=\\\"233850\\\"><title>Future</title><album id=\\\"7578825\\\" storage-dir=\\\"fa64e8b4.a.7578825\\\"><title>Future</title><cover id=\\\"1\\\"></cover></album><region>149</region><region>149mp</region><region>159</region><region>159mp</region><region>167</region><region>167mp</region><region>168</region><region>168mp</region><region>169</region><region>169mp</region><region>170</region><region>170mp</region><region>171</region><region>171mp</region><region>181</region><region>181mp</region><region>187</region><region>187mp</region><region>207</region><region>207mp</region><region>209</region><region>209mp</region><region>225</region><region>225mp</region></track><track id=\\\"52642508\\\" storage-dir=\\\"1788582_5afea94f.77998222.1.52642508\\\" duration=\\\"224\\\" duration-millis=\\\"224080\\\"><title>I Rise</title><album id=\\\"7422083\\\" storage-dir=\\\"ef29de6c.a.7422083\\\"><title>I Rise</title><cover id=\\\"1\\\"></cover></album><region>149</region><region>149mp</region><region>159</region><region>159mp</region><region>167</region><region>167mp</region><region>168</region><region>168mp</region><region>169</region><region>169mp</region><region>170</region><region>170mp</region><region>171</region><region>171mp</region><region>181</region><region>181mp</region><region>187</region><region>187mp</region><region>207</region><region>207mp</region><region>209</region><region>209mp</region><region>225</region><region>225mp</region></track><track id=\\\"179255\\\" storage-dir=\\\"59910_74b757c8.205042.1.179255\\\" duration=\\\"300\\\" duration-millis=\\\"300090\\\"><title>4 Minutes</title><version>Peter Saves New York Edit; feat. Justin Timberlake and Timbaland</version><album id=\\\"18198\\\" storage-dir=\\\"872e4153.a.18198\\\"><title>Hard Candy</title><cover id=\\\"1\\\"></cover></album><region>149</region><region>149mp</region><region>159</region><region>159mp</region><region>167</region><region>167mp</region><region>168</region><region>168mp</region><region>169</region><region>169mp</region><region>170</region><region>170mp</region><region>171</region><region>171mp</region><region>181</region><region>181mp</region><region>187</region><region>187mp</region><region>207</region><region>207mp</region><region>208</region><region>208mp</region><region>209</region><region>209mp</region><region>225</region><region>225mp</region></track><track id=\\\"52186313\\\" storage-dir=\\\"1779037_37a7b4d3.77401847.1.52186313\\\" duration=\\\"298\\\" duration-millis=\\\"298210\\\"><title>Medellín</title><album id=\\\"7331607\\\" storage-dir=\\\"257aa63e.a.7331607\\\"><title>Medellín</title><cover id=\\\"2\\\"></cover></album><region>149</region><region>149mp</region><region>159</region><region>159mp</region><region>167</region><region>167mp</region><region>168</region><region>168mp</region><region>169</region><region>169mp</region><region>170</region><region>170mp</region><region>171</region><region>171mp</region><region>181</region><region>181mp</region><region>187</region><region>187mp</region><region>207</region><region>207mp</region><region>209</region><region>209mp</region><region>225</region><region>225mp</region></track></popular-tracks>\",\"type\":\"#p\"}],\"albums_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"grp_id\":[{\"value\":\"1813\",\"type\":\"#p\"}],\"albums_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"i_radio\":[{\"value\":1,\"type\":\"#i\"}],\"IsGenre\":[{\"value\":0,\"type\":\"#f\"}],\"grp_ex\":[{\"value\":\"<artist id=\\\"1813\\\" ><name>Madonna</name></artist>\",\"type\":\"#p\"}],\"albums_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"s_genre_bound_id\":[{\"value\":\"dance\",\"type\":\"#l\"},{\"value\":\"electronics\",\"type\":\"#l\"},{\"value\":\"pop\",\"type\":\"#l\"}],\"tracks_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"_SerpInfo\":[{\"value\":\"{\\\"type\\\":\\\"musicplayer\\\",\\\"format\\\":\\\"json\\\",\\\"flat\\\":\\\"1\\\",\\\"subtype\\\":\\\"artist\\\",\\\"remove\\\":\\\"lyrics\\\",\\\"slot\\\":\\\"full\\\"}\",\"type\":\"#p\"}],\"MusicLinkRank\":[{\"value\":0.797801,\"type\":\"#f\"}],\"albums_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_non_skip_listening\":[{\"value\":0.0698057,\"type\":\"#f\"}],\"dup\":[{\"value\":\"5d8e5e6a11e0ee410f288068d2af041c\",\"type\":\"#h\"}],\"url\":\"https://music.yandex.ru/artist/1813?from=serp\",\"_SerpData\":[{\"value\":\"{\\\"track_id\\\":\\\"\\\",\\\"track_minus\\\":\\\"\\\",\\\"track_name\\\":\\\"\\\",\\\"track_remix\\\":\\\"\\\",\\\"track_storage_dir\\\":\\\"\\\",\\\"track_version\\\":\\\"\\\",\\\"track_len\\\":\\\"\\\",\\\"track_len_str\\\":\\\"00:00\\\",\\\"track_lyrics\\\":\\\"\\\",\\\"track_youtube_url\\\":\\\"\\\",\\\"track_html_autoplay_videoplayer\\\":\\\"\\\",\\\"track_video_thumbnail\\\":\\\"\\\",\\\"alb_data\\\":\\\"\\\",\\\"alb_data_json\\\":\\\"\\\",\\\"alb_id\\\":\\\"\\\",\\\"alb_name\\\":\\\"\\\",\\\"alb_track_count\\\":\\\"\\\",\\\"alb_year\\\":\\\"\\\",\\\"alb_storage_dir\\\":\\\"ed692c40.p.1813\\\",\\\"alb_cover\\\":\\\"\\\",\\\"alb_cover_path\\\":\\\"ed692c40.p.1813/\\\",\\\"alb_image_uri\\\":\\\"avatars.yandex.net/get-music-content/143117/ed692c40.p.1813/%%\\\",\\\"grp_data\\\":\\\"1648266_18df5cc5.78437422.1.52890746\\\\\\\\t201\\\\\\\\tCrave\\\\\\\\t\\\\\\\\n1655590_79d02327.78864946.1.53160316\\\\\\\\t233\\\\\\\\tFuture\\\\\\\\t\\\\\\\\n1788582_5afea94f.77998222.1.52642508\\\\\\\\t224\\\\\\\\tI Rise\\\\\\\\t\\\\\\\\n59910_74b757c8.205042.1.179255\\\\\\\\t300\\\\\\\\t4 Minutes\\\\\\\\tPeter Saves New York Edit; feat. Justin Timberlake and Timbaland\\\\\\\\n1779037_37a7b4d3.77401847.1.52186313\\\\\\\\t298\\\\\\\\tMedellín\\\\\\\\t\\\",\\\"grp_data_json\\\":{\\\"popular-tracks\\\":[{\\\"duration\\\":201,\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/163479/abee6dad.a.7492717-1/%%\\\",\\\"storage-dir\\\":\\\"abee6dad.a.7492717\\\",\\\"id\\\":\\\"7492717\\\"},\\\"title\\\":\\\"Crave\\\",\\\"storage-dir\\\":\\\"1648266_18df5cc5.78437422.1.52890746\\\",\\\"id\\\":\\\"52890746\\\"},{\\\"duration\\\":233,\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/103235/fa64e8b4.a.7578825-1/%%\\\",\\\"storage-dir\\\":\\\"fa64e8b4.a.7578825\\\",\\\"id\\\":\\\"7578825\\\"},\\\"title\\\":\\\"Future\\\",\\\"storage-dir\\\":\\\"1655590_79d02327.78864946.1.53160316\\\",\\\"id\\\":\\\"53160316\\\"},{\\\"duration\\\":224,\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/176019/ef29de6c.a.7422083-1/%%\\\",\\\"storage-dir\\\":\\\"ef29de6c.a.7422083\\\",\\\"id\\\":\\\"7422083\\\"},\\\"title\\\":\\\"I Rise\\\",\\\"storage-dir\\\":\\\"1788582_5afea94f.77998222.1.52642508\\\",\\\"id\\\":\\\"52642508\\\"},{\\\"duration\\\":300,\\\"version\\\":\\\"Peter Saves New York Edit; feat. Justin Timberlake and Timbaland\\\",\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/28589/872e4153.a.18198-1/%%\\\",\\\"storage-dir\\\":\\\"872e4153.a.18198\\\",\\\"id\\\":\\\"18198\\\"},\\\"title\\\":\\\"4 Minutes\\\",\\\"storage-dir\\\":\\\"59910_74b757c8.205042.1.179255\\\",\\\"id\\\":\\\"179255\\\"},{\\\"duration\\\":298,\\\"album\\\":{\\\"cover\\\":\\\"2\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/114728/257aa63e.a.7331607-2/%%\\\",\\\"storage-dir\\\":\\\"257aa63e.a.7331607\\\",\\\"id\\\":\\\"7331607\\\"},\\\"title\\\":\\\"Medellín\\\",\\\"storage-dir\\\":\\\"1779037_37a7b4d3.77401847.1.52186313\\\",\\\"id\\\":\\\"52186313\\\"}]},\\\"grp\\\":[{\\\"name\\\":\\\"Madonna\\\",\\\"tracks\\\":\\\"379\\\",\\\"albums\\\":\\\"65\\\",\\\"id\\\":\\\"1813\\\"}],\\\"grp_similar\\\":\\\"7099\\\\\\\\tKylie Minogue\\\\\\\\n1438\\\\\\\\tLady Gaga\\\\\\\\n8773\\\\\\\\tMylène Farmer\\\\\\\\n7090\\\\\\\\tNelly Furtado\\\\\\\\n3477\\\\\\\\tRihanna\\\",\\\"grp_similar_ids\\\":[\\\"7099\\\",\\\"1438\\\",\\\"8773\\\",\\\"7090\\\",\\\"3477\\\"],\\\"grp_similar_names\\\":[\\\"Kylie Minogue\\\",\\\"Lady Gaga\\\",\\\"Mylène Farmer\\\",\\\"Nelly Furtado\\\",\\\"Rihanna\\\"],\\\"pls_data\\\":\\\"\\\",\\\"pls_data_json\\\":\\\"\\\",\\\"pls_kind\\\":\\\"\\\",\\\"pls_name\\\":\\\"\\\",\\\"pls_track_count\\\":\\\"\\\",\\\"pls_user_id\\\":\\\"\\\",\\\"pls_user_login\\\":\\\"\\\",\\\"geo_id\\\":\\\"225\\\",\\\"mus_type\\\":\\\"3\\\",\\\"pop_tr_ids\\\":[\\\"1648266_18df5cc5.78437422.1.52890746\\\",\\\"1655590_79d02327.78864946.1.53160316\\\",\\\"1788582_5afea94f.77998222.1.52642508\\\",\\\"59910_74b757c8.205042.1.179255\\\",\\\"1779037_37a7b4d3.77401847.1.52186313\\\"],\\\"pop_tr_lens\\\":[\\\"201\\\",\\\"233\\\",\\\"224\\\",\\\"300\\\",\\\"298\\\"],\\\"pop_tr_names\\\":[\\\"Crave\\\",\\\"Future\\\",\\\"I Rise\\\",\\\"4 Minutes\\\",\\\"Medellín\\\"],\\\"pop_tr_groups\\\":[\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\"],\\\"pop_tr_versions\\\":[\\\"\\\",\\\"\\\",\\\"\\\",\\\"Peter Saves New York Edit; feat. Justin Timberlake and Timbaland\\\",\\\"\\\"],\\\"max_tr_cnt\\\":3,\\\"popularity\\\":\\\"149975.0\\\",\\\"radio\\\":\\\"1\\\",\\\"rank\\\":\\\"0.797801360462\\\",\\\"various\\\":\\\"0\\\"}\",\"type\":\"#p\"}],\"tracks_recom_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTRVeryLong\":[{\"value\":0.105832,\"type\":\"#f\"}],\"Explicit\":[{\"value\":0,\"type\":\"#f\"}],\"IsTrack\":[{\"value\":0,\"type\":\"#f\"}],\"type\":[{\"value\":\"3\",\"type\":\"#p\"}],\"tracks_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_albums\":[{\"value\":0.0238146,\"type\":\"#f\"}],\"UserId\":[{\"value\":0,\"type\":\"#F\"}],\"artists_artist_likes\":[{\"value\":0.0261431,\"type\":\"#f\"}],\"rank\":[{\"value\":\"0.797801360462\",\"type\":\"#p\"}],\"tracks_total_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsUser\":[{\"value\":0,\"type\":\"#f\"}]}],\"action\":\"modify\",\"prefix\":1}"),
        // some tracks
        TStringBuf("{\"docs\":[{\"tracks_count_of_users\":[{\"value\":5.98797e-05,\"type\":\"#f\"}],\"tracks_count_of_fast_skip_listening_on_recom\":[{\"value\":6.02791e-06,\"type\":\"#f\"}],\"IsLive\":[{\"value\":0,\"type\":\"#f\"}],\"IsTribute\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTR\":[{\"value\":0.000694123,\"type\":\"#f\"}],\"IsRemix\":[{\"value\":0,\"type\":\"#f\"}],\"various\":[{\"value\":\"0\",\"type\":\"#p\"}],\"alb_storage_dir\":[{\"value\":\"7d3bbb23.a.4024428\",\"type\":\"#p\"}],\"title\":{\"type\":\"#z\",\"value\":\"Madonna Like a Virgin (Mtv Music Awards 1984)[Re-Mastered Radio Recording]\"},\"tracks_radio_likes\":[{\"value\":0,\"type\":\"#f\"}],\"artists_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_performer\":{\"type\":\"#z\",\"value\":\"мадонна. madonna l ciccone. מדונה. マドンナ. madonna. madonna ciccone\"},\"IsUgc\":[{\"value\":0,\"type\":\"#f\"}],\"track_len\":[{\"value\":\"219250\",\"type\":\"#p\"}],\"artists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsPlaylist\":[{\"value\":0,\"type\":\"#f\"}],\"z_grp_name\":{\"type\":\"#z\",\"value\":\"madonna\"},\"track_name\":[{\"value\":\"Like a Virgin (Mtv Music Awards 1984)[Re-Mastered Radio Recording]\",\"type\":\"#p\"}],\"alb_id\":[{\"value\":\"4024428\",\"type\":\"#p\"}],\"i_release_year\":[{\"value\":2016,\"type\":\"#i\"}],\"regions\":[{\"value\":\"149\",\"type\":\"#p\"},{\"value\":\"149mp\",\"type\":\"#p\"},{\"value\":\"159\",\"type\":\"#p\"},{\"value\":\"159mp\",\"type\":\"#p\"},{\"value\":\"167\",\"type\":\"#p\"},{\"value\":\"167mp\",\"type\":\"#p\"},{\"value\":\"168\",\"type\":\"#p\"},{\"value\":\"168mp\",\"type\":\"#p\"},{\"value\":\"169\",\"type\":\"#p\"},{\"value\":\"169mp\",\"type\":\"#p\"},{\"value\":\"170\",\"type\":\"#p\"},{\"value\":\"170mp\",\"type\":\"#p\"},{\"value\":\"171\",\"type\":\"#p\"},{\"value\":\"171mp\",\"type\":\"#p\"},{\"value\":\"187\",\"type\":\"#p\"},{\"value\":\"187mp\",\"type\":\"#p\"},{\"value\":\"207\",\"type\":\"#p\"},{\"value\":\"207mp\",\"type\":\"#p\"},{\"value\":\"208\",\"type\":\"#p\"},{\"value\":\"208mp\",\"type\":\"#p\"},{\"value\":\"209\",\"type\":\"#p\"},{\"value\":\"209mp\",\"type\":\"#p\"},{\"value\":\"225\",\"type\":\"#p\"},{\"value\":\"225mp\",\"type\":\"#p\"}],\"i_is_remix\":[{\"value\":0,\"type\":\"#i\"}],\"options\":{\"realtime\":false,\"mime_type\":\"text/plain\"},\"LogShown\":[{\"value\":8.37171,\"type\":\"#f\"}],\"IsAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"CTRLong\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_playlists\":[{\"value\":1.1681e-05,\"type\":\"#f\"}],\"artists_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_albums\":[{\"value\":0.000804505,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening\":[{\"value\":1.03742e-05,\"type\":\"#f\"}],\"track_storage_dir\":[{\"value\":\"142010_8687aadb.49003783.1.32981005\",\"type\":\"#p\"}],\"grp_name\":[{\"value\":\"Madonna\",\"type\":\"#p\"}],\"i_is_tribute\":[{\"value\":0,\"type\":\"#i\"}],\"z_strict_title\":{\"type\":\"#z\",\"value\":\"like a virgin (mtv music awards 1984)[re-mastered radio recording]\"},\"alb_year\":[{\"value\":\"2016\",\"type\":\"#p\"}],\"AlbumVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"i_type\":[{\"value\":1,\"type\":\"#i\"}],\"FreshAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"TrackVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"s_rights\":[{\"value\":\"149\",\"type\":\"#l\"},{\"value\":\"149mp\",\"type\":\"#l\"},{\"value\":\"159\",\"type\":\"#l\"},{\"value\":\"159mp\",\"type\":\"#l\"},{\"value\":\"167\",\"type\":\"#l\"},{\"value\":\"167mp\",\"type\":\"#l\"},{\"value\":\"168\",\"type\":\"#l\"},{\"value\":\"168mp\",\"type\":\"#l\"},{\"value\":\"169\",\"type\":\"#l\"},{\"value\":\"169mp\",\"type\":\"#l\"},{\"value\":\"170\",\"type\":\"#l\"},{\"value\":\"170mp\",\"type\":\"#l\"},{\"value\":\"171\",\"type\":\"#l\"},{\"value\":\"171mp\",\"type\":\"#l\"},{\"value\":\"187\",\"type\":\"#l\"},{\"value\":\"187mp\",\"type\":\"#l\"},{\"value\":\"207\",\"type\":\"#l\"},{\"value\":\"207mp\",\"type\":\"#l\"},{\"value\":\"208\",\"type\":\"#l\"},{\"value\":\"208mp\",\"type\":\"#l\"},{\"value\":\"209\",\"type\":\"#l\"},{\"value\":\"209mp\",\"type\":\"#l\"},{\"value\":\"225\",\"type\":\"#l\"},{\"value\":\"225mp\",\"type\":\"#l\"}],\"IsJunk\":[{\"value\":0,\"type\":\"#f\"}],\"NormalizedPopularity\":[{\"value\":0.253778,\"type\":\"#f\"}],\"z_title\":{\"type\":\"#z\",\"value\":\"like a virgin (mtv music awards i984)[re-mastered radio recording]. like a virgin (mtv music awards 1984)[re-mastered radio recording]\"},\"IsRadio\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening_on_recom\":[{\"value\":1.5086e-06,\"type\":\"#f\"}],\"playlists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"z_album\":{\"type\":\"#z\",\"value\":\" very best of - radio waves i984-i995, vol. 2.  very best of - radio waves 1984-1995, vol. 2\"},\"albums_album_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsArtist\":[{\"value\":0,\"type\":\"#f\"}],\"IsGenericRadio\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"alb_cover\":[{\"value\":\"1\",\"type\":\"#p\"}],\"i_track_len\":[{\"value\":219250,\"type\":\"#i\"}],\"z_alb_name\":{\"type\":\"#z\",\"value\":\" very best of - radio waves 1984-1995, vol. 2\"},\"artists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"grp_id\":[{\"value\":\"1813\",\"type\":\"#p\"}],\"i_genre\":[{\"value\":11,\"type\":\"#i\"}],\"albums_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsGenre\":[{\"value\":0,\"type\":\"#f\"}],\"grp_ex\":[{\"value\":\"<artist id=\\\"1813\\\" ><name>Madonna</name></artist>\",\"type\":\"#p\"}],\"albums_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"s_genre_bound_id\":[{\"value\":\"pop\",\"type\":\"#l\"}],\"tracks_count_of_fast_skip_listening\":[{\"value\":5.36687e-05,\"type\":\"#f\"}],\"albums_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"_SerpInfo\":[{\"value\":\"{\\\"type\\\":\\\"musicplayer\\\",\\\"format\\\":\\\"json\\\",\\\"flat\\\":\\\"1\\\",\\\"subtype\\\":\\\"track\\\",\\\"remove\\\":\\\"lyrics\\\",\\\"slot\\\":\\\"full\\\"}\",\"type\":\"#p\"}],\"MusicLinkRank\":[{\"value\":0.324791,\"type\":\"#f\"}],\"albums_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"dup\":[{\"value\":\"0fce977ff28fa8af89df5c6a00c5bdab\",\"type\":\"#h\"}],\"url\":\"https://music.yandex.ru/album/4024428/track/32981005?from=serp\",\"_SerpData\":[{\"value\":\"{\\\"track_id\\\":\\\"32981005\\\",\\\"track_minus\\\":\\\"0\\\",\\\"track_name\\\":\\\"Like a Virgin (Mtv Music Awards 1984)[Re-Mastered Radio Recording]\\\",\\\"track_remix\\\":\\\"0\\\",\\\"track_storage_dir\\\":\\\"142010_8687aadb.49003783.1.32981005\\\",\\\"track_version\\\":\\\"\\\",\\\"track_len\\\":\\\"219250\\\",\\\"track_len_str\\\":\\\"03:39\\\",\\\"track_lyrics\\\":\\\"\\\",\\\"track_youtube_url\\\":\\\"\\\",\\\"track_html_autoplay_videoplayer\\\":\\\"\\\",\\\"track_video_thumbnail\\\":\\\"\\\",\\\"alb_data\\\":\\\"\\\",\\\"alb_data_json\\\":\\\"\\\",\\\"alb_id\\\":\\\"4024428\\\",\\\"alb_name\\\":\\\"The Very Best Of - Radio Waves 1984-1995, Vol. 2\\\",\\\"alb_track_count\\\":\\\"\\\",\\\"alb_year\\\":\\\"2016\\\",\\\"alb_storage_dir\\\":\\\"7d3bbb23.a.4024428\\\",\\\"alb_cover\\\":\\\"1\\\",\\\"alb_cover_path\\\":\\\"7d3bbb23.a.4024428/1\\\",\\\"alb_image_uri\\\":\\\"avatars.yandex.net/get-music-content/149669/7d3bbb23.a.4024428-1/%%\\\",\\\"grp_data\\\":\\\"\\\",\\\"grp_data_json\\\":\\\"\\\",\\\"grp\\\":[{\\\"name\\\":\\\"Madonna\\\",\\\"tracks\\\":\\\"379\\\",\\\"albums\\\":\\\"65\\\",\\\"id\\\":\\\"1813\\\"}],\\\"grp_similar\\\":\\\"\\\",\\\"grp_similar_ids\\\":[],\\\"grp_similar_names\\\":[],\\\"pls_data\\\":\\\"\\\",\\\"pls_data_json\\\":\\\"\\\",\\\"pls_kind\\\":\\\"\\\",\\\"pls_name\\\":\\\"\\\",\\\"pls_track_count\\\":\\\"\\\",\\\"pls_user_id\\\":\\\"\\\",\\\"pls_user_login\\\":\\\"\\\",\\\"geo_id\\\":\\\"225\\\",\\\"mus_type\\\":\\\"1\\\",\\\"pop_tr_ids\\\":[],\\\"pop_tr_lens\\\":[],\\\"pop_tr_names\\\":[],\\\"pop_tr_groups\\\":[],\\\"pop_tr_versions\\\":[],\\\"max_tr_cnt\\\":3,\\\"popularity\\\":\\\"44.0\\\",\\\"radio\\\":\\\"\\\",\\\"rank\\\":\\\"0.32479128482\\\",\\\"various\\\":\\\"0\\\"}\",\"type\":\"#p\"}],\"tracks_recom_listening\":[{\"value\":3.7662e-06,\"type\":\"#f\"}],\"CTRVeryLong\":[{\"value\":0,\"type\":\"#f\"}],\"Explicit\":[{\"value\":0,\"type\":\"#f\"}],\"explicit\":[{\"value\":\"0\",\"type\":\"#p\"}],\"IsTrack\":[{\"value\":1,\"type\":\"#f\"}],\"type\":[{\"value\":\"1\",\"type\":\"#p\"}],\"tracks_total_listening\":[{\"value\":2.01692e-05,\"type\":\"#f\"}],\"rank\":[{\"value\":\"0.32479128482\",\"type\":\"#p\"}],\"artists_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"UserId\":[{\"value\":0,\"type\":\"#F\"}],\"artists_artist_likes\":[{\"value\":0,\"type\":\"#f\"}],\"track_id\":[{\"value\":\"32981005\",\"type\":\"#p\"}],\"alb_name\":[{\"value\":\"The Very Best Of - Radio Waves 1984-1995, Vol. 2\",\"type\":\"#p\"}],\"tracks_total_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_track_name\":{\"type\":\"#z\",\"value\":\"like a virgin (mtv music awards 1984)[re-mastered radio recording]\"},\"IsUser\":[{\"value\":0,\"type\":\"#f\"}]}],\"action\":\"modify\",\"prefix\":1}"),
        TStringBuf("{\"docs\":[{\"tracks_count_of_users\":[{\"value\":2.87657e-05,\"type\":\"#f\"}],\"tracks_count_of_fast_skip_listening_on_recom\":[{\"value\":3.83594e-06,\"type\":\"#f\"}],\"IsLive\":[{\"value\":0,\"type\":\"#f\"}],\"IsTribute\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTR\":[{\"value\":0.00169492,\"type\":\"#f\"}],\"IsRemix\":[{\"value\":0,\"type\":\"#f\"}],\"various\":[{\"value\":\"0\",\"type\":\"#p\"}],\"alb_storage_dir\":[{\"value\":\"7d3bbb23.a.4024428\",\"type\":\"#p\"}],\"title\":{\"type\":\"#z\",\"value\":\"Madonna Causing a Commotion (Mtv Music Award 1987)[Re-Mastered Radio Recording]\"},\"tracks_radio_likes\":[{\"value\":0,\"type\":\"#f\"}],\"artists_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_performer\":{\"type\":\"#z\",\"value\":\"мадонна. madonna l ciccone. מדונה. マドンナ. madonna. madonna ciccone\"},\"IsUgc\":[{\"value\":0,\"type\":\"#f\"}],\"track_len\":[{\"value\":\"346620\",\"type\":\"#p\"}],\"artists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsPlaylist\":[{\"value\":0,\"type\":\"#f\"}],\"z_grp_name\":{\"type\":\"#z\",\"value\":\"madonna\"},\"track_name\":[{\"value\":\"Causing a Commotion (Mtv Music Award 1987)[Re-Mastered Radio Recording]\",\"type\":\"#p\"}],\"alb_id\":[{\"value\":\"4024428\",\"type\":\"#p\"}],\"i_release_year\":[{\"value\":2016,\"type\":\"#i\"}],\"regions\":[{\"value\":\"149\",\"type\":\"#p\"},{\"value\":\"149mp\",\"type\":\"#p\"},{\"value\":\"159\",\"type\":\"#p\"},{\"value\":\"159mp\",\"type\":\"#p\"},{\"value\":\"167\",\"type\":\"#p\"},{\"value\":\"167mp\",\"type\":\"#p\"},{\"value\":\"168\",\"type\":\"#p\"},{\"value\":\"168mp\",\"type\":\"#p\"},{\"value\":\"169\",\"type\":\"#p\"},{\"value\":\"169mp\",\"type\":\"#p\"},{\"value\":\"170\",\"type\":\"#p\"},{\"value\":\"170mp\",\"type\":\"#p\"},{\"value\":\"171\",\"type\":\"#p\"},{\"value\":\"171mp\",\"type\":\"#p\"},{\"value\":\"187\",\"type\":\"#p\"},{\"value\":\"187mp\",\"type\":\"#p\"},{\"value\":\"207\",\"type\":\"#p\"},{\"value\":\"207mp\",\"type\":\"#p\"},{\"value\":\"208\",\"type\":\"#p\"},{\"value\":\"208mp\",\"type\":\"#p\"},{\"value\":\"209\",\"type\":\"#p\"},{\"value\":\"209mp\",\"type\":\"#p\"},{\"value\":\"225\",\"type\":\"#p\"},{\"value\":\"225mp\",\"type\":\"#p\"}],\"i_is_remix\":[{\"value\":0,\"type\":\"#i\"}],\"options\":{\"realtime\":false,\"mime_type\":\"text/plain\"},\"LogShown\":[{\"value\":7.76684,\"type\":\"#f\"}],\"IsAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"CTRLong\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_playlists\":[{\"value\":4.67242e-06,\"type\":\"#f\"}],\"artists_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_albums\":[{\"value\":0.000804505,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening\":[{\"value\":5.91014e-06,\"type\":\"#f\"}],\"track_storage_dir\":[{\"value\":\"56291_acc2cfe7.49003785.1.32981008\",\"type\":\"#p\"}],\"grp_name\":[{\"value\":\"Madonna\",\"type\":\"#p\"}],\"i_is_tribute\":[{\"value\":0,\"type\":\"#i\"}],\"z_strict_title\":{\"type\":\"#z\",\"value\":\"causing a commotion (mtv music award 1987)[re-mastered radio recording]\"},\"alb_year\":[{\"value\":\"2016\",\"type\":\"#p\"}],\"AlbumVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"i_type\":[{\"value\":1,\"type\":\"#i\"}],\"FreshAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"TrackVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"s_rights\":[{\"value\":\"149\",\"type\":\"#l\"},{\"value\":\"149mp\",\"type\":\"#l\"},{\"value\":\"159\",\"type\":\"#l\"},{\"value\":\"159mp\",\"type\":\"#l\"},{\"value\":\"167\",\"type\":\"#l\"},{\"value\":\"167mp\",\"type\":\"#l\"},{\"value\":\"168\",\"type\":\"#l\"},{\"value\":\"168mp\",\"type\":\"#l\"},{\"value\":\"169\",\"type\":\"#l\"},{\"value\":\"169mp\",\"type\":\"#l\"},{\"value\":\"170\",\"type\":\"#l\"},{\"value\":\"170mp\",\"type\":\"#l\"},{\"value\":\"171\",\"type\":\"#l\"},{\"value\":\"171mp\",\"type\":\"#l\"},{\"value\":\"187\",\"type\":\"#l\"},{\"value\":\"187mp\",\"type\":\"#l\"},{\"value\":\"207\",\"type\":\"#l\"},{\"value\":\"207mp\",\"type\":\"#l\"},{\"value\":\"208\",\"type\":\"#l\"},{\"value\":\"208mp\",\"type\":\"#l\"},{\"value\":\"209\",\"type\":\"#l\"},{\"value\":\"209mp\",\"type\":\"#l\"},{\"value\":\"225\",\"type\":\"#l\"},{\"value\":\"225mp\",\"type\":\"#l\"}],\"IsJunk\":[{\"value\":0,\"type\":\"#f\"}],\"NormalizedPopularity\":[{\"value\":0.196296,\"type\":\"#f\"}],\"z_title\":{\"type\":\"#z\",\"value\":\"causing a commotion (mtv music award i98t)[re-mastered radio recording]. causing a commotion (mtv music award 1987)[re-mastered radio recording]\"},\"IsRadio\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening_on_recom\":[{\"value\":1.29308e-06,\"type\":\"#f\"}],\"playlists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"z_album\":{\"type\":\"#z\",\"value\":\" very best of - radio waves i984-i995, vol. 2.  very best of - radio waves 1984-1995, vol. 2\"},\"albums_album_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsArtist\":[{\"value\":0,\"type\":\"#f\"}],\"IsGenericRadio\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"alb_cover\":[{\"value\":\"1\",\"type\":\"#p\"}],\"i_track_len\":[{\"value\":346620,\"type\":\"#i\"}],\"z_alb_name\":{\"type\":\"#z\",\"value\":\" very best of - radio waves 1984-1995, vol. 2\"},\"artists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"grp_id\":[{\"value\":\"1813\",\"type\":\"#p\"}],\"i_genre\":[{\"value\":11,\"type\":\"#i\"}],\"albums_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsGenre\":[{\"value\":0,\"type\":\"#f\"}],\"grp_ex\":[{\"value\":\"<artist id=\\\"1813\\\" ><name>Madonna</name></artist>\",\"type\":\"#p\"}],\"albums_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"s_genre_bound_id\":[{\"value\":\"pop\",\"type\":\"#l\"}],\"tracks_count_of_fast_skip_listening\":[{\"value\":2.30661e-05,\"type\":\"#f\"}],\"albums_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"_SerpInfo\":[{\"value\":\"{\\\"type\\\":\\\"musicplayer\\\",\\\"format\\\":\\\"json\\\",\\\"flat\\\":\\\"1\\\",\\\"subtype\\\":\\\"track\\\",\\\"remove\\\":\\\"lyrics\\\",\\\"slot\\\":\\\"full\\\"}\",\"type\":\"#p\"}],\"MusicLinkRank\":[{\"value\":0.306456,\"type\":\"#f\"}],\"albums_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"dup\":[{\"value\":\"6e88b2ec88da9be8a9cff9c2554149fa\",\"type\":\"#h\"}],\"url\":\"https://music.yandex.ru/album/4024428/track/32981008?from=serp\",\"_SerpData\":[{\"value\":\"{\\\"track_id\\\":\\\"32981008\\\",\\\"track_minus\\\":\\\"0\\\",\\\"track_name\\\":\\\"Causing a Commotion (Mtv Music Award 1987)[Re-Mastered Radio Recording]\\\",\\\"track_remix\\\":\\\"0\\\",\\\"track_storage_dir\\\":\\\"56291_acc2cfe7.49003785.1.32981008\\\",\\\"track_version\\\":\\\"\\\",\\\"track_len\\\":\\\"346620\\\",\\\"track_len_str\\\":\\\"05:46\\\",\\\"track_lyrics\\\":\\\"\\\",\\\"track_youtube_url\\\":\\\"\\\",\\\"track_html_autoplay_videoplayer\\\":\\\"\\\",\\\"track_video_thumbnail\\\":\\\"\\\",\\\"alb_data\\\":\\\"\\\",\\\"alb_data_json\\\":\\\"\\\",\\\"alb_id\\\":\\\"4024428\\\",\\\"alb_name\\\":\\\"The Very Best Of - Radio Waves 1984-1995, Vol. 2\\\",\\\"alb_track_count\\\":\\\"\\\",\\\"alb_year\\\":\\\"2016\\\",\\\"alb_storage_dir\\\":\\\"7d3bbb23.a.4024428\\\",\\\"alb_cover\\\":\\\"1\\\",\\\"alb_cover_path\\\":\\\"7d3bbb23.a.4024428/1\\\",\\\"alb_image_uri\\\":\\\"avatars.yandex.net/get-music-content/149669/7d3bbb23.a.4024428-1/%%\\\",\\\"grp_data\\\":\\\"\\\",\\\"grp_data_json\\\":\\\"\\\",\\\"grp\\\":[{\\\"name\\\":\\\"Madonna\\\",\\\"tracks\\\":\\\"379\\\",\\\"albums\\\":\\\"65\\\",\\\"id\\\":\\\"1813\\\"}],\\\"grp_similar\\\":\\\"\\\",\\\"grp_similar_ids\\\":[],\\\"grp_similar_names\\\":[],\\\"pls_data\\\":\\\"\\\",\\\"pls_data_json\\\":\\\"\\\",\\\"pls_kind\\\":\\\"\\\",\\\"pls_name\\\":\\\"\\\",\\\"pls_track_count\\\":\\\"\\\",\\\"pls_user_id\\\":\\\"\\\",\\\"pls_user_login\\\":\\\"\\\",\\\"geo_id\\\":\\\"225\\\",\\\"mus_type\\\":\\\"1\\\",\\\"pop_tr_ids\\\":[],\\\"pop_tr_lens\\\":[],\\\"pop_tr_names\\\":[],\\\"pop_tr_groups\\\":[],\\\"pop_tr_versions\\\":[],\\\"max_tr_cnt\\\":3,\\\"popularity\\\":\\\"18.0\\\",\\\"radio\\\":\\\"\\\",\\\"rank\\\":\\\"0.306455535218\\\",\\\"various\\\":\\\"0\\\"}\",\"type\":\"#p\"}],\"tracks_recom_listening\":[{\"value\":2.33146e-06,\"type\":\"#f\"}],\"CTRVeryLong\":[{\"value\":0,\"type\":\"#f\"}],\"Explicit\":[{\"value\":0,\"type\":\"#f\"}],\"explicit\":[{\"value\":\"0\",\"type\":\"#p\"}],\"IsTrack\":[{\"value\":1,\"type\":\"#f\"}],\"type\":[{\"value\":\"1\",\"type\":\"#p\"}],\"tracks_total_listening\":[{\"value\":1.03635e-05,\"type\":\"#f\"}],\"rank\":[{\"value\":\"0.306455535218\",\"type\":\"#p\"}],\"artists_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"UserId\":[{\"value\":0,\"type\":\"#F\"}],\"artists_artist_likes\":[{\"value\":0,\"type\":\"#f\"}],\"track_id\":[{\"value\":\"32981008\",\"type\":\"#p\"}],\"alb_name\":[{\"value\":\"The Very Best Of - Radio Waves 1984-1995, Vol. 2\",\"type\":\"#p\"}],\"tracks_total_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_track_name\":{\"type\":\"#z\",\"value\":\"causing a commotion (mtv music award 1987)[re-mastered radio recording]\"},\"IsUser\":[{\"value\":0,\"type\":\"#f\"}]}],\"action\":\"modify\",\"prefix\":1}"),
        TStringBuf("{\"docs\":[{\"tracks_count_of_users\":[{\"value\":2.87657e-05,\"type\":\"#f\"}],\"tracks_count_of_fast_skip_listening_on_recom\":[{\"value\":3.28795e-06,\"type\":\"#f\"}],\"IsLive\":[{\"value\":0,\"type\":\"#f\"}],\"IsTribute\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTR\":[{\"value\":0.0029098,\"type\":\"#f\"}],\"IsRemix\":[{\"value\":0,\"type\":\"#f\"}],\"various\":[{\"value\":\"0\",\"type\":\"#p\"}],\"alb_storage_dir\":[{\"value\":\"7d3bbb23.a.4024428\",\"type\":\"#p\"}],\"title\":{\"type\":\"#z\",\"value\":\"Madonna Lucky Star (Tv Show, Japan 1987)[Re-Mastered Radio Recording]\"},\"tracks_radio_likes\":[{\"value\":0,\"type\":\"#f\"}],\"artists_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_performer\":{\"type\":\"#z\",\"value\":\"мадонна. madonna l ciccone. מדונה. マドンナ. madonna. madonna ciccone\"},\"IsUgc\":[{\"value\":0,\"type\":\"#f\"}],\"track_len\":[{\"value\":\"274470\",\"type\":\"#p\"}],\"artists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsPlaylist\":[{\"value\":0,\"type\":\"#f\"}],\"z_grp_name\":{\"type\":\"#z\",\"value\":\"madonna\"},\"track_name\":[{\"value\":\"Lucky Star (Tv Show, Japan 1987)[Re-Mastered Radio Recording]\",\"type\":\"#p\"}],\"alb_id\":[{\"value\":\"4024428\",\"type\":\"#p\"}],\"i_release_year\":[{\"value\":2016,\"type\":\"#i\"}],\"regions\":[{\"value\":\"149\",\"type\":\"#p\"},{\"value\":\"149mp\",\"type\":\"#p\"},{\"value\":\"159\",\"type\":\"#p\"},{\"value\":\"159mp\",\"type\":\"#p\"},{\"value\":\"167\",\"type\":\"#p\"},{\"value\":\"167mp\",\"type\":\"#p\"},{\"value\":\"168\",\"type\":\"#p\"},{\"value\":\"168mp\",\"type\":\"#p\"},{\"value\":\"169\",\"type\":\"#p\"},{\"value\":\"169mp\",\"type\":\"#p\"},{\"value\":\"170\",\"type\":\"#p\"},{\"value\":\"170mp\",\"type\":\"#p\"},{\"value\":\"171\",\"type\":\"#p\"},{\"value\":\"171mp\",\"type\":\"#p\"},{\"value\":\"187\",\"type\":\"#p\"},{\"value\":\"187mp\",\"type\":\"#p\"},{\"value\":\"207\",\"type\":\"#p\"},{\"value\":\"207mp\",\"type\":\"#p\"},{\"value\":\"208\",\"type\":\"#p\"},{\"value\":\"208mp\",\"type\":\"#p\"},{\"value\":\"209\",\"type\":\"#p\"},{\"value\":\"209mp\",\"type\":\"#p\"},{\"value\":\"225\",\"type\":\"#p\"},{\"value\":\"225mp\",\"type\":\"#p\"}],\"i_is_remix\":[{\"value\":0,\"type\":\"#i\"}],\"options\":{\"realtime\":false,\"mime_type\":\"text/plain\"},\"LogShown\":[{\"value\":7.63192,\"type\":\"#f\"}],\"IsAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"CTRLong\":[{\"value\":0.000484966,\"type\":\"#f\"}],\"tracks_count_of_playlists\":[{\"value\":7.00863e-06,\"type\":\"#f\"}],\"artists_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_albums\":[{\"value\":0.000804505,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening\":[{\"value\":7.29336e-06,\"type\":\"#f\"}],\"track_storage_dir\":[{\"value\":\"42014_7e9e88eb.49003787.1.32981010\",\"type\":\"#p\"}],\"grp_name\":[{\"value\":\"Madonna\",\"type\":\"#p\"}],\"i_is_tribute\":[{\"value\":0,\"type\":\"#i\"}],\"z_strict_title\":{\"type\":\"#z\",\"value\":\"lucky star (tv show, japan 1987)[re-mastered radio recording]\"},\"alb_year\":[{\"value\":\"2016\",\"type\":\"#p\"}],\"AlbumVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"i_type\":[{\"value\":1,\"type\":\"#i\"}],\"FreshAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"TrackVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"s_rights\":[{\"value\":\"149\",\"type\":\"#l\"},{\"value\":\"149mp\",\"type\":\"#l\"},{\"value\":\"159\",\"type\":\"#l\"},{\"value\":\"159mp\",\"type\":\"#l\"},{\"value\":\"167\",\"type\":\"#l\"},{\"value\":\"167mp\",\"type\":\"#l\"},{\"value\":\"168\",\"type\":\"#l\"},{\"value\":\"168mp\",\"type\":\"#l\"},{\"value\":\"169\",\"type\":\"#l\"},{\"value\":\"169mp\",\"type\":\"#l\"},{\"value\":\"170\",\"type\":\"#l\"},{\"value\":\"170mp\",\"type\":\"#l\"},{\"value\":\"171\",\"type\":\"#l\"},{\"value\":\"171mp\",\"type\":\"#l\"},{\"value\":\"187\",\"type\":\"#l\"},{\"value\":\"187mp\",\"type\":\"#l\"},{\"value\":\"207\",\"type\":\"#l\"},{\"value\":\"207mp\",\"type\":\"#l\"},{\"value\":\"208\",\"type\":\"#l\"},{\"value\":\"208mp\",\"type\":\"#l\"},{\"value\":\"209\",\"type\":\"#l\"},{\"value\":\"209mp\",\"type\":\"#l\"},{\"value\":\"225\",\"type\":\"#l\"},{\"value\":\"225mp\",\"type\":\"#l\"}],\"IsJunk\":[{\"value\":0,\"type\":\"#f\"}],\"NormalizedPopularity\":[{\"value\":0.206069,\"type\":\"#f\"}],\"z_title\":{\"type\":\"#z\",\"value\":\"lucky star (tv show, japan i98t)[re-mastered radio recording]. lucky star (tv show, japan 1987)[re-mastered radio recording]\"},\"IsRadio\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening_on_recom\":[{\"value\":1.5086e-06,\"type\":\"#f\"}],\"playlists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"z_album\":{\"type\":\"#z\",\"value\":\" very best of - radio waves i984-i995, vol. 2.  very best of - radio waves 1984-1995, vol. 2\"},\"albums_album_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsArtist\":[{\"value\":0,\"type\":\"#f\"}],\"IsGenericRadio\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"alb_cover\":[{\"value\":\"1\",\"type\":\"#p\"}],\"i_track_len\":[{\"value\":274470,\"type\":\"#i\"}],\"z_alb_name\":{\"type\":\"#z\",\"value\":\" very best of - radio waves 1984-1995, vol. 2\"},\"artists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"grp_id\":[{\"value\":\"1813\",\"type\":\"#p\"}],\"i_genre\":[{\"value\":11,\"type\":\"#i\"}],\"albums_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsGenre\":[{\"value\":0,\"type\":\"#f\"}],\"grp_ex\":[{\"value\":\"<artist id=\\\"1813\\\" ><name>Madonna</name></artist>\",\"type\":\"#p\"}],\"albums_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"s_genre_bound_id\":[{\"value\":\"pop\",\"type\":\"#l\"}],\"tracks_count_of_fast_skip_listening\":[{\"value\":1.89553e-05,\"type\":\"#f\"}],\"albums_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"_SerpInfo\":[{\"value\":\"{\\\"type\\\":\\\"musicplayer\\\",\\\"format\\\":\\\"json\\\",\\\"flat\\\":\\\"1\\\",\\\"subtype\\\":\\\"track\\\",\\\"remove\\\":\\\"lyrics\\\",\\\"slot\\\":\\\"full\\\"}\",\"type\":\"#p\"}],\"MusicLinkRank\":[{\"value\":0.308847,\"type\":\"#f\"}],\"albums_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"dup\":[{\"value\":\"25b28cc57b60c88408995fbf0e03a113\",\"type\":\"#h\"}],\"url\":\"https://music.yandex.ru/album/4024428/track/32981010?from=serp\",\"_SerpData\":[{\"value\":\"{\\\"track_id\\\":\\\"32981010\\\",\\\"track_minus\\\":\\\"0\\\",\\\"track_name\\\":\\\"Lucky Star (Tv Show, Japan 1987)[Re-Mastered Radio Recording]\\\",\\\"track_remix\\\":\\\"0\\\",\\\"track_storage_dir\\\":\\\"42014_7e9e88eb.49003787.1.32981010\\\",\\\"track_version\\\":\\\"\\\",\\\"track_len\\\":\\\"274470\\\",\\\"track_len_str\\\":\\\"04:34\\\",\\\"track_lyrics\\\":\\\"\\\",\\\"track_youtube_url\\\":\\\"\\\",\\\"track_html_autoplay_videoplayer\\\":\\\"\\\",\\\"track_video_thumbnail\\\":\\\"\\\",\\\"alb_data\\\":\\\"\\\",\\\"alb_data_json\\\":\\\"\\\",\\\"alb_id\\\":\\\"4024428\\\",\\\"alb_name\\\":\\\"The Very Best Of - Radio Waves 1984-1995, Vol. 2\\\",\\\"alb_track_count\\\":\\\"\\\",\\\"alb_year\\\":\\\"2016\\\",\\\"alb_storage_dir\\\":\\\"7d3bbb23.a.4024428\\\",\\\"alb_cover\\\":\\\"1\\\",\\\"alb_cover_path\\\":\\\"7d3bbb23.a.4024428/1\\\",\\\"alb_image_uri\\\":\\\"avatars.yandex.net/get-music-content/149669/7d3bbb23.a.4024428-1/%%\\\",\\\"grp_data\\\":\\\"\\\",\\\"grp_data_json\\\":\\\"\\\",\\\"grp\\\":[{\\\"name\\\":\\\"Madonna\\\",\\\"tracks\\\":\\\"379\\\",\\\"albums\\\":\\\"65\\\",\\\"id\\\":\\\"1813\\\"}],\\\"grp_similar\\\":\\\"\\\",\\\"grp_similar_ids\\\":[],\\\"grp_similar_names\\\":[],\\\"pls_data\\\":\\\"\\\",\\\"pls_data_json\\\":\\\"\\\",\\\"pls_kind\\\":\\\"\\\",\\\"pls_name\\\":\\\"\\\",\\\"pls_track_count\\\":\\\"\\\",\\\"pls_user_id\\\":\\\"\\\",\\\"pls_user_login\\\":\\\"\\\",\\\"geo_id\\\":\\\"225\\\",\\\"mus_type\\\":\\\"1\\\",\\\"pop_tr_ids\\\":[],\\\"pop_tr_lens\\\":[],\\\"pop_tr_names\\\":[],\\\"pop_tr_groups\\\":[],\\\"pop_tr_versions\\\":[],\\\"max_tr_cnt\\\":3,\\\"popularity\\\":\\\"21.0\\\",\\\"radio\\\":\\\"\\\",\\\"rank\\\":\\\"0.308847330738\\\",\\\"various\\\":\\\"0\\\"}\",\"type\":\"#p\"}],\"tracks_recom_listening\":[{\"value\":2.5108e-06,\"type\":\"#f\"}],\"CTRVeryLong\":[{\"value\":0,\"type\":\"#f\"}],\"Explicit\":[{\"value\":0,\"type\":\"#f\"}],\"explicit\":[{\"value\":\"0\",\"type\":\"#p\"}],\"IsTrack\":[{\"value\":1,\"type\":\"#f\"}],\"type\":[{\"value\":\"1\",\"type\":\"#p\"}],\"tracks_total_listening\":[{\"value\":9.99168e-06,\"type\":\"#f\"}],\"rank\":[{\"value\":\"0.308847330738\",\"type\":\"#p\"}],\"artists_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"UserId\":[{\"value\":0,\"type\":\"#F\"}],\"artists_artist_likes\":[{\"value\":0,\"type\":\"#f\"}],\"track_id\":[{\"value\":\"32981010\",\"type\":\"#p\"}],\"alb_name\":[{\"value\":\"The Very Best Of - Radio Waves 1984-1995, Vol. 2\",\"type\":\"#p\"}],\"tracks_total_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_track_name\":{\"type\":\"#z\",\"value\":\"lucky star (tv show, japan 1987)[re-mastered radio recording]\"},\"IsUser\":[{\"value\":0,\"type\":\"#f\"}]}],\"action\":\"modify\",\"prefix\":1}"),
        TStringBuf("{\"docs\":[{\"tracks_count_of_users\":[{\"value\":5.57703e-05,\"type\":\"#f\"}],\"tracks_count_of_fast_skip_listening_on_recom\":[{\"value\":2.73996e-06,\"type\":\"#f\"}],\"IsLive\":[{\"value\":0,\"type\":\"#f\"}],\"IsTribute\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTR\":[{\"value\":0.0048651,\"type\":\"#f\"}],\"IsRemix\":[{\"value\":0,\"type\":\"#f\"}],\"various\":[{\"value\":\"0\",\"type\":\"#p\"}],\"alb_storage_dir\":[{\"value\":\"7d3bbb23.a.4024428\",\"type\":\"#p\"}],\"title\":{\"type\":\"#z\",\"value\":\"Madonna La Isla Bonita Tv Show, Japan 1987)[Re-Mastered Radio Recording]\"},\"tracks_radio_likes\":[{\"value\":0,\"type\":\"#f\"}],\"artists_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_performer\":{\"type\":\"#z\",\"value\":\"мадонна. madonna l ciccone. מדונה. マドンナ. madonna. madonna ciccone\"},\"IsUgc\":[{\"value\":0,\"type\":\"#f\"}],\"track_len\":[{\"value\":\"349650\",\"type\":\"#p\"}],\"artists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsPlaylist\":[{\"value\":0,\"type\":\"#f\"}],\"z_grp_name\":{\"type\":\"#z\",\"value\":\"madonna\"},\"track_name\":[{\"value\":\"La Isla Bonita Tv Show, Japan 1987)[Re-Mastered Radio Recording]\",\"type\":\"#p\"}],\"alb_id\":[{\"value\":\"4024428\",\"type\":\"#p\"}],\"i_release_year\":[{\"value\":2016,\"type\":\"#i\"}],\"regions\":[{\"value\":\"149\",\"type\":\"#p\"},{\"value\":\"149mp\",\"type\":\"#p\"},{\"value\":\"159\",\"type\":\"#p\"},{\"value\":\"159mp\",\"type\":\"#p\"},{\"value\":\"167\",\"type\":\"#p\"},{\"value\":\"167mp\",\"type\":\"#p\"},{\"value\":\"168\",\"type\":\"#p\"},{\"value\":\"168mp\",\"type\":\"#p\"},{\"value\":\"169\",\"type\":\"#p\"},{\"value\":\"169mp\",\"type\":\"#p\"},{\"value\":\"170\",\"type\":\"#p\"},{\"value\":\"170mp\",\"type\":\"#p\"},{\"value\":\"171\",\"type\":\"#p\"},{\"value\":\"171mp\",\"type\":\"#p\"},{\"value\":\"187\",\"type\":\"#p\"},{\"value\":\"187mp\",\"type\":\"#p\"},{\"value\":\"207\",\"type\":\"#p\"},{\"value\":\"207mp\",\"type\":\"#p\"},{\"value\":\"208\",\"type\":\"#p\"},{\"value\":\"208mp\",\"type\":\"#p\"},{\"value\":\"209\",\"type\":\"#p\"},{\"value\":\"209mp\",\"type\":\"#p\"},{\"value\":\"225\",\"type\":\"#p\"},{\"value\":\"225mp\",\"type\":\"#p\"}],\"i_is_remix\":[{\"value\":0,\"type\":\"#i\"}],\"options\":{\"realtime\":false,\"mime_type\":\"text/plain\"},\"LogShown\":[{\"value\":8.82232,\"type\":\"#f\"}],\"IsAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"CTRLong\":[{\"value\":0.00117942,\"type\":\"#f\"}],\"tracks_count_of_playlists\":[{\"value\":1.1681e-05,\"type\":\"#f\"}],\"artists_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_albums\":[{\"value\":0.00160901,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening\":[{\"value\":9.49395e-06,\"type\":\"#f\"}],\"track_storage_dir\":[{\"value\":\"55098_ddd29946.49003789.1.32981012\",\"type\":\"#p\"}],\"grp_name\":[{\"value\":\"Madonna\",\"type\":\"#p\"}],\"i_is_tribute\":[{\"value\":0,\"type\":\"#i\"}],\"z_strict_title\":{\"type\":\"#z\",\"value\":\"la isla bonita tv show, japan 1987)[re-mastered radio recording]\"},\"alb_year\":[{\"value\":\"2016\",\"type\":\"#p\"}],\"AlbumVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"i_type\":[{\"value\":1,\"type\":\"#i\"}],\"FreshAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"TrackVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"s_rights\":[{\"value\":\"149\",\"type\":\"#l\"},{\"value\":\"149mp\",\"type\":\"#l\"},{\"value\":\"159\",\"type\":\"#l\"},{\"value\":\"159mp\",\"type\":\"#l\"},{\"value\":\"167\",\"type\":\"#l\"},{\"value\":\"167mp\",\"type\":\"#l\"},{\"value\":\"168\",\"type\":\"#l\"},{\"value\":\"168mp\",\"type\":\"#l\"},{\"value\":\"169\",\"type\":\"#l\"},{\"value\":\"169mp\",\"type\":\"#l\"},{\"value\":\"170\",\"type\":\"#l\"},{\"value\":\"170mp\",\"type\":\"#l\"},{\"value\":\"171\",\"type\":\"#l\"},{\"value\":\"171mp\",\"type\":\"#l\"},{\"value\":\"187\",\"type\":\"#l\"},{\"value\":\"187mp\",\"type\":\"#l\"},{\"value\":\"207\",\"type\":\"#l\"},{\"value\":\"207mp\",\"type\":\"#l\"},{\"value\":\"208\",\"type\":\"#l\"},{\"value\":\"208mp\",\"type\":\"#l\"},{\"value\":\"209\",\"type\":\"#l\"},{\"value\":\"209mp\",\"type\":\"#l\"},{\"value\":\"225\",\"type\":\"#l\"},{\"value\":\"225mp\",\"type\":\"#l\"}],\"IsJunk\":[{\"value\":0,\"type\":\"#f\"}],\"NormalizedPopularity\":[{\"value\":0.214592,\"type\":\"#f\"}],\"z_title\":{\"type\":\"#z\",\"value\":\"la isla bonita tv show, japan i98t)[re-mastered radio recording]. la isla bonita tv show, japan 1987)[re-mastered radio recording]\"},\"IsRadio\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening_on_recom\":[{\"value\":1.29308e-06,\"type\":\"#f\"}],\"playlists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"z_album\":{\"type\":\"#z\",\"value\":\" very best of - radio waves i984-i995, vol. 2.  very best of - radio waves 1984-1995, vol. 2\"},\"albums_album_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsArtist\":[{\"value\":0,\"type\":\"#f\"}],\"IsGenericRadio\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"alb_cover\":[{\"value\":\"1\",\"type\":\"#p\"}],\"i_track_len\":[{\"value\":349650,\"type\":\"#i\"}],\"z_alb_name\":{\"type\":\"#z\",\"value\":\" very best of - radio waves 1984-1995, vol. 2\"},\"artists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"grp_id\":[{\"value\":\"1813\",\"type\":\"#p\"}],\"i_genre\":[{\"value\":11,\"type\":\"#i\"}],\"albums_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsGenre\":[{\"value\":0,\"type\":\"#f\"}],\"grp_ex\":[{\"value\":\"<artist id=\\\"1813\\\" ><name>Madonna</name></artist>\",\"type\":\"#p\"}],\"albums_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"s_genre_bound_id\":[{\"value\":\"pop\",\"type\":\"#l\"}],\"tracks_count_of_fast_skip_listening\":[{\"value\":3.10593e-05,\"type\":\"#f\"}],\"albums_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"_SerpInfo\":[{\"value\":\"{\\\"type\\\":\\\"musicplayer\\\",\\\"format\\\":\\\"json\\\",\\\"flat\\\":\\\"1\\\",\\\"subtype\\\":\\\"track\\\",\\\"remove\\\":\\\"lyrics\\\",\\\"slot\\\":\\\"full\\\"}\",\"type\":\"#p\"}],\"MusicLinkRank\":[{\"value\":0.311156,\"type\":\"#f\"}],\"albums_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"dup\":[{\"value\":\"69bd879dc2e3a4bb1d4f8642b866de7a\",\"type\":\"#h\"}],\"url\":\"https://music.yandex.ru/album/4024428/track/32981012?from=serp\",\"_SerpData\":[{\"value\":\"{\\\"track_id\\\":\\\"32981012\\\",\\\"track_minus\\\":\\\"0\\\",\\\"track_name\\\":\\\"La Isla Bonita Tv Show, Japan 1987)[Re-Mastered Radio Recording]\\\",\\\"track_remix\\\":\\\"0\\\",\\\"track_storage_dir\\\":\\\"55098_ddd29946.49003789.1.32981012\\\",\\\"track_version\\\":\\\"\\\",\\\"track_len\\\":\\\"349650\\\",\\\"track_len_str\\\":\\\"05:49\\\",\\\"track_lyrics\\\":\\\"\\\",\\\"track_youtube_url\\\":\\\"\\\",\\\"track_html_autoplay_videoplayer\\\":\\\"\\\",\\\"track_video_thumbnail\\\":\\\"\\\",\\\"alb_data\\\":\\\"\\\",\\\"alb_data_json\\\":\\\"\\\",\\\"alb_id\\\":\\\"4024428\\\",\\\"alb_name\\\":\\\"The Very Best Of - Radio Waves 1984-1995, Vol. 2\\\",\\\"alb_track_count\\\":\\\"\\\",\\\"alb_year\\\":\\\"2016\\\",\\\"alb_storage_dir\\\":\\\"7d3bbb23.a.4024428\\\",\\\"alb_cover\\\":\\\"1\\\",\\\"alb_cover_path\\\":\\\"7d3bbb23.a.4024428/1\\\",\\\"alb_image_uri\\\":\\\"avatars.yandex.net/get-music-content/149669/7d3bbb23.a.4024428-1/%%\\\",\\\"grp_data\\\":\\\"\\\",\\\"grp_data_json\\\":\\\"\\\",\\\"grp\\\":[{\\\"name\\\":\\\"Madonna\\\",\\\"tracks\\\":\\\"379\\\",\\\"albums\\\":\\\"65\\\",\\\"id\\\":\\\"1813\\\"}],\\\"grp_similar\\\":\\\"\\\",\\\"grp_similar_ids\\\":[],\\\"grp_similar_names\\\":[],\\\"pls_data\\\":\\\"\\\",\\\"pls_data_json\\\":\\\"\\\",\\\"pls_kind\\\":\\\"\\\",\\\"pls_name\\\":\\\"\\\",\\\"pls_track_count\\\":\\\"\\\",\\\"pls_user_id\\\":\\\"\\\",\\\"pls_user_login\\\":\\\"\\\",\\\"geo_id\\\":\\\"225\\\",\\\"mus_type\\\":\\\"1\\\",\\\"pop_tr_ids\\\":[],\\\"pop_tr_lens\\\":[],\\\"pop_tr_names\\\":[],\\\"pop_tr_groups\\\":[],\\\"pop_tr_versions\\\":[],\\\"max_tr_cnt\\\":3,\\\"popularity\\\":\\\"24.0\\\",\\\"radio\\\":\\\"\\\",\\\"rank\\\":\\\"0.311156279675\\\",\\\"various\\\":\\\"0\\\"}\",\"type\":\"#p\"}],\"tracks_recom_listening\":[{\"value\":2.69014e-06,\"type\":\"#f\"}],\"CTRVeryLong\":[{\"value\":0.000294855,\"type\":\"#f\"}],\"Explicit\":[{\"value\":0,\"type\":\"#f\"}],\"explicit\":[{\"value\":\"0\",\"type\":\"#p\"}],\"IsTrack\":[{\"value\":1,\"type\":\"#f\"}],\"type\":[{\"value\":\"1\",\"type\":\"#p\"}],\"tracks_total_listening\":[{\"value\":1.63585e-05,\"type\":\"#f\"}],\"rank\":[{\"value\":\"0.311156279675\",\"type\":\"#p\"}],\"artists_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"UserId\":[{\"value\":0,\"type\":\"#F\"}],\"artists_artist_likes\":[{\"value\":0,\"type\":\"#f\"}],\"track_id\":[{\"value\":\"32981012\",\"type\":\"#p\"}],\"alb_name\":[{\"value\":\"The Very Best Of - Radio Waves 1984-1995, Vol. 2\",\"type\":\"#p\"}],\"tracks_total_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_track_name\":{\"type\":\"#z\",\"value\":\"la isla bonita tv show, japan 1987)[re-mastered radio recording]\"},\"IsUser\":[{\"value\":0,\"type\":\"#f\"}]}],\"action\":\"modify\",\"prefix\":1}"),
        TStringBuf("{\"docs\":[{\"tracks_count_of_users\":[{\"value\":2.70046e-05,\"type\":\"#f\"}],\"tracks_count_of_fast_skip_listening_on_recom\":[{\"value\":1.09598e-06,\"type\":\"#f\"}],\"IsLive\":[{\"value\":0,\"type\":\"#f\"}],\"IsTribute\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTR\":[{\"value\":0.00295508,\"type\":\"#f\"}],\"IsRemix\":[{\"value\":0,\"type\":\"#f\"}],\"various\":[{\"value\":\"0\",\"type\":\"#p\"}],\"alb_storage_dir\":[{\"value\":\"7d3bbb23.a.4024428\",\"type\":\"#p\"}],\"title\":{\"type\":\"#z\",\"value\":\"Madonna Express Yourself (Video Music Awards 1989)[Re-Mastered Radio Recording]\"},\"tracks_radio_likes\":[{\"value\":0,\"type\":\"#f\"}],\"artists_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_performer\":{\"type\":\"#z\",\"value\":\"мадонна. madonna l ciccone. מדונה. マドンナ. madonna. madonna ciccone\"},\"IsUgc\":[{\"value\":0,\"type\":\"#f\"}],\"track_len\":[{\"value\":\"352210\",\"type\":\"#p\"}],\"artists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsPlaylist\":[{\"value\":0,\"type\":\"#f\"}],\"z_grp_name\":{\"type\":\"#z\",\"value\":\"madonna\"},\"track_name\":[{\"value\":\"Express Yourself (Video Music Awards 1989)[Re-Mastered Radio Recording]\",\"type\":\"#p\"}],\"alb_id\":[{\"value\":\"4024428\",\"type\":\"#p\"}],\"i_release_year\":[{\"value\":2016,\"type\":\"#i\"}],\"regions\":[{\"value\":\"149\",\"type\":\"#p\"},{\"value\":\"149mp\",\"type\":\"#p\"},{\"value\":\"159\",\"type\":\"#p\"},{\"value\":\"159mp\",\"type\":\"#p\"},{\"value\":\"167\",\"type\":\"#p\"},{\"value\":\"167mp\",\"type\":\"#p\"},{\"value\":\"168\",\"type\":\"#p\"},{\"value\":\"168mp\",\"type\":\"#p\"},{\"value\":\"169\",\"type\":\"#p\"},{\"value\":\"169mp\",\"type\":\"#p\"},{\"value\":\"170\",\"type\":\"#p\"},{\"value\":\"170mp\",\"type\":\"#p\"},{\"value\":\"171\",\"type\":\"#p\"},{\"value\":\"171mp\",\"type\":\"#p\"},{\"value\":\"187\",\"type\":\"#p\"},{\"value\":\"187mp\",\"type\":\"#p\"},{\"value\":\"207\",\"type\":\"#p\"},{\"value\":\"207mp\",\"type\":\"#p\"},{\"value\":\"208\",\"type\":\"#p\"},{\"value\":\"208mp\",\"type\":\"#p\"},{\"value\":\"209\",\"type\":\"#p\"},{\"value\":\"209mp\",\"type\":\"#p\"},{\"value\":\"225\",\"type\":\"#p\"},{\"value\":\"225mp\",\"type\":\"#p\"}],\"i_is_remix\":[{\"value\":0,\"type\":\"#i\"}],\"options\":{\"realtime\":false,\"mime_type\":\"text/plain\"},\"LogShown\":[{\"value\":8.12711,\"type\":\"#f\"}],\"IsAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"CTRLong\":[{\"value\":0.000295508,\"type\":\"#f\"}],\"tracks_count_of_playlists\":[{\"value\":4.67242e-06,\"type\":\"#f\"}],\"artists_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_albums\":[{\"value\":0.000804505,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening\":[{\"value\":7.85923e-06,\"type\":\"#f\"}],\"track_storage_dir\":[{\"value\":\"44884_74288d8d.49003790.1.32981013\",\"type\":\"#p\"}],\"grp_name\":[{\"value\":\"Madonna\",\"type\":\"#p\"}],\"i_is_tribute\":[{\"value\":0,\"type\":\"#i\"}],\"z_strict_title\":{\"type\":\"#z\",\"value\":\"express yourself (video music awards 1989)[re-mastered radio recording]\"},\"alb_year\":[{\"value\":\"2016\",\"type\":\"#p\"}],\"AlbumVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"i_type\":[{\"value\":1,\"type\":\"#i\"}],\"FreshAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"TrackVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"s_rights\":[{\"value\":\"149\",\"type\":\"#l\"},{\"value\":\"149mp\",\"type\":\"#l\"},{\"value\":\"159\",\"type\":\"#l\"},{\"value\":\"159mp\",\"type\":\"#l\"},{\"value\":\"167\",\"type\":\"#l\"},{\"value\":\"167mp\",\"type\":\"#l\"},{\"value\":\"168\",\"type\":\"#l\"},{\"value\":\"168mp\",\"type\":\"#l\"},{\"value\":\"169\",\"type\":\"#l\"},{\"value\":\"169mp\",\"type\":\"#l\"},{\"value\":\"170\",\"type\":\"#l\"},{\"value\":\"170mp\",\"type\":\"#l\"},{\"value\":\"171\",\"type\":\"#l\"},{\"value\":\"171mp\",\"type\":\"#l\"},{\"value\":\"187\",\"type\":\"#l\"},{\"value\":\"187mp\",\"type\":\"#l\"},{\"value\":\"207\",\"type\":\"#l\"},{\"value\":\"207mp\",\"type\":\"#l\"},{\"value\":\"208\",\"type\":\"#l\"},{\"value\":\"208mp\",\"type\":\"#l\"},{\"value\":\"209\",\"type\":\"#l\"},{\"value\":\"209mp\",\"type\":\"#l\"},{\"value\":\"225\",\"type\":\"#l\"},{\"value\":\"225mp\",\"type\":\"#l\"}],\"IsJunk\":[{\"value\":0,\"type\":\"#f\"}],\"NormalizedPopularity\":[{\"value\":0.170997,\"type\":\"#f\"}],\"z_title\":{\"type\":\"#z\",\"value\":\"express yourself (video music awards 1989)[re-mastered radio recording]. express yourself (video music awards i989)[re-mastered radio recording]\"},\"IsRadio\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening_on_recom\":[{\"value\":4.31028e-07,\"type\":\"#f\"}],\"playlists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"z_album\":{\"type\":\"#z\",\"value\":\" very best of - radio waves i984-i995, vol. 2.  very best of - radio waves 1984-1995, vol. 2\"},\"albums_album_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsArtist\":[{\"value\":0,\"type\":\"#f\"}],\"IsGenericRadio\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"alb_cover\":[{\"value\":\"1\",\"type\":\"#p\"}],\"i_track_len\":[{\"value\":352210,\"type\":\"#i\"}],\"z_alb_name\":{\"type\":\"#z\",\"value\":\" very best of - radio waves 1984-1995, vol. 2\"},\"artists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"grp_id\":[{\"value\":\"1813\",\"type\":\"#p\"}],\"i_genre\":[{\"value\":11,\"type\":\"#i\"}],\"albums_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsGenre\":[{\"value\":0,\"type\":\"#f\"}],\"grp_ex\":[{\"value\":\"<artist id=\\\"1813\\\" ><name>Madonna</name></artist>\",\"type\":\"#p\"}],\"albums_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"s_genre_bound_id\":[{\"value\":\"pop\",\"type\":\"#l\"}],\"tracks_count_of_fast_skip_listening\":[{\"value\":2.07823e-05,\"type\":\"#f\"}],\"albums_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"_SerpInfo\":[{\"value\":\"{\\\"type\\\":\\\"musicplayer\\\",\\\"format\\\":\\\"json\\\",\\\"flat\\\":\\\"1\\\",\\\"subtype\\\":\\\"track\\\",\\\"remove\\\":\\\"lyrics\\\",\\\"slot\\\":\\\"full\\\"}\",\"type\":\"#p\"}],\"MusicLinkRank\":[{\"value\":0.301398,\"type\":\"#f\"}],\"albums_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"dup\":[{\"value\":\"3ffa0d10c44aeb9a664ef5f64c9555d8\",\"type\":\"#h\"}],\"url\":\"https://music.yandex.ru/album/4024428/track/32981013?from=serp\",\"_SerpData\":[{\"value\":\"{\\\"track_id\\\":\\\"32981013\\\",\\\"track_minus\\\":\\\"0\\\",\\\"track_name\\\":\\\"Express Yourself (Video Music Awards 1989)[Re-Mastered Radio Recording]\\\",\\\"track_remix\\\":\\\"0\\\",\\\"track_storage_dir\\\":\\\"44884_74288d8d.49003790.1.32981013\\\",\\\"track_version\\\":\\\"\\\",\\\"track_len\\\":\\\"352210\\\",\\\"track_len_str\\\":\\\"05:52\\\",\\\"track_lyrics\\\":\\\"\\\",\\\"track_youtube_url\\\":\\\"\\\",\\\"track_html_autoplay_videoplayer\\\":\\\"\\\",\\\"track_video_thumbnail\\\":\\\"\\\",\\\"alb_data\\\":\\\"\\\",\\\"alb_data_json\\\":\\\"\\\",\\\"alb_id\\\":\\\"4024428\\\",\\\"alb_name\\\":\\\"The Very Best Of - Radio Waves 1984-1995, Vol. 2\\\",\\\"alb_track_count\\\":\\\"\\\",\\\"alb_year\\\":\\\"2016\\\",\\\"alb_storage_dir\\\":\\\"7d3bbb23.a.4024428\\\",\\\"alb_cover\\\":\\\"1\\\",\\\"alb_cover_path\\\":\\\"7d3bbb23.a.4024428/1\\\",\\\"alb_image_uri\\\":\\\"avatars.yandex.net/get-music-content/149669/7d3bbb23.a.4024428-1/%%\\\",\\\"grp_data\\\":\\\"\\\",\\\"grp_data_json\\\":\\\"\\\",\\\"grp\\\":[{\\\"name\\\":\\\"Madonna\\\",\\\"tracks\\\":\\\"379\\\",\\\"albums\\\":\\\"65\\\",\\\"id\\\":\\\"1813\\\"}],\\\"grp_similar\\\":\\\"\\\",\\\"grp_similar_ids\\\":[],\\\"grp_similar_names\\\":[],\\\"pls_data\\\":\\\"\\\",\\\"pls_data_json\\\":\\\"\\\",\\\"pls_kind\\\":\\\"\\\",\\\"pls_name\\\":\\\"\\\",\\\"pls_track_count\\\":\\\"\\\",\\\"pls_user_id\\\":\\\"\\\",\\\"pls_user_login\\\":\\\"\\\",\\\"geo_id\\\":\\\"225\\\",\\\"mus_type\\\":\\\"1\\\",\\\"pop_tr_ids\\\":[],\\\"pop_tr_lens\\\":[],\\\"pop_tr_names\\\":[],\\\"pop_tr_groups\\\":[],\\\"pop_tr_versions\\\":[],\\\"max_tr_cnt\\\":3,\\\"popularity\\\":\\\"12.0\\\",\\\"radio\\\":\\\"\\\",\\\"rank\\\":\\\"0.301398020505\\\",\\\"various\\\":\\\"0\\\"}\",\"type\":\"#p\"}],\"tracks_recom_listening\":[{\"value\":1.2554e-06,\"type\":\"#f\"}],\"CTRVeryLong\":[{\"value\":0,\"type\":\"#f\"}],\"Explicit\":[{\"value\":0,\"type\":\"#f\"}],\"explicit\":[{\"value\":\"0\",\"type\":\"#p\"}],\"IsTrack\":[{\"value\":1,\"type\":\"#f\"}],\"type\":[{\"value\":\"1\",\"type\":\"#p\"}],\"tracks_total_listening\":[{\"value\":1.08747e-05,\"type\":\"#f\"}],\"rank\":[{\"value\":\"0.301398020505\",\"type\":\"#p\"}],\"artists_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"UserId\":[{\"value\":0,\"type\":\"#F\"}],\"artists_artist_likes\":[{\"value\":0,\"type\":\"#f\"}],\"track_id\":[{\"value\":\"32981013\",\"type\":\"#p\"}],\"alb_name\":[{\"value\":\"The Very Best Of - Radio Waves 1984-1995, Vol. 2\",\"type\":\"#p\"}],\"tracks_total_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_track_name\":{\"type\":\"#z\",\"value\":\"express yourself (video music awards 1989)[re-mastered radio recording]\"},\"IsUser\":[{\"value\":0,\"type\":\"#f\"}]}],\"action\":\"modify\",\"prefix\":1}"),
        // some albums
        TStringBuf("{\"docs\":[{\"tracks_count_of_users\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_fast_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"IsLive\":[{\"value\":0,\"type\":\"#f\"}],\"IsTribute\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTR\":[{\"value\":0.00841969,\"type\":\"#f\"}],\"IsRemix\":[{\"value\":0,\"type\":\"#f\"}],\"various\":[{\"value\":\"0\",\"type\":\"#p\"}],\"alb_storage_dir\":[{\"value\":\"183cf121.a.18069\",\"type\":\"#p\"}],\"title\":{\"type\":\"#z\",\"value\":\"Madonna Sorry\"},\"tracks_radio_likes\":[{\"value\":0,\"type\":\"#f\"}],\"artists_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_performer\":{\"type\":\"#z\",\"value\":\"мадонна. madonna l ciccone. מדונה. マドンナ. madonna. madonna ciccone\"},\"IsUgc\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsPlaylist\":[{\"value\":0,\"type\":\"#f\"}],\"z_grp_name\":{\"type\":\"#z\",\"value\":\"madonna\"},\"alb_id\":[{\"value\":\"18069\",\"type\":\"#p\"}],\"alb_version\":[{\"value\":\"DMD Maxi; DJ Version\",\"type\":\"#p\"}],\"regions\":[{\"value\":\"149\",\"type\":\"#p\"},{\"value\":\"149mp\",\"type\":\"#p\"},{\"value\":\"159\",\"type\":\"#p\"},{\"value\":\"159mp\",\"type\":\"#p\"},{\"value\":\"167\",\"type\":\"#p\"},{\"value\":\"167mp\",\"type\":\"#p\"},{\"value\":\"168\",\"type\":\"#p\"},{\"value\":\"168mp\",\"type\":\"#p\"},{\"value\":\"169\",\"type\":\"#p\"},{\"value\":\"169mp\",\"type\":\"#p\"},{\"value\":\"170\",\"type\":\"#p\"},{\"value\":\"170mp\",\"type\":\"#p\"},{\"value\":\"171\",\"type\":\"#p\"},{\"value\":\"171mp\",\"type\":\"#p\"},{\"value\":\"181\",\"type\":\"#p\"},{\"value\":\"181mp\",\"type\":\"#p\"},{\"value\":\"187\",\"type\":\"#p\"},{\"value\":\"187mp\",\"type\":\"#p\"},{\"value\":\"207\",\"type\":\"#p\"},{\"value\":\"207mp\",\"type\":\"#p\"},{\"value\":\"208\",\"type\":\"#p\"},{\"value\":\"208mp\",\"type\":\"#p\"},{\"value\":\"209\",\"type\":\"#p\"},{\"value\":\"209mp\",\"type\":\"#p\"},{\"value\":\"225\",\"type\":\"#p\"},{\"value\":\"225mp\",\"type\":\"#p\"}],\"alb_type\":[{\"value\":\"single\",\"type\":\"#p\"}],\"options\":{\"realtime\":false,\"mime_type\":\"text/plain\"},\"LogShown\":[{\"value\":8.9517,\"type\":\"#f\"}],\"IsAlbum\":[{\"value\":1,\"type\":\"#f\"}],\"CTRLong\":[{\"value\":0.00518135,\"type\":\"#f\"}],\"tracks_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_fast_skip_listening\":[{\"value\":0.000408941,\"type\":\"#f\"}],\"tracks_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"grp_name\":[{\"value\":\"Madonna\",\"type\":\"#p\"}],\"z_strict_title\":{\"type\":\"#z\",\"value\":\"sorry\"},\"alb_year\":[{\"value\":\"2006\",\"type\":\"#p\"}],\"AlbumVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"i_type\":[{\"value\":2,\"type\":\"#i\"}],\"FreshAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"z_alb_version\":{\"type\":\"#z\",\"value\":\"dmd maxi; dj version\"},\"TrackVersionRank\":[{\"value\":0,\"type\":\"#f\"}],\"s_rights\":[{\"value\":\"225\",\"type\":\"#l\"},{\"value\":\"225mp\",\"type\":\"#l\"}],\"IsJunk\":[{\"value\":0,\"type\":\"#f\"}],\"NormalizedPopularity\":[{\"value\":0.520446,\"type\":\"#f\"}],\"z_title\":{\"type\":\"#z\",\"value\":\"sorry [dj version]. sorry. sorry (dmd maxi)\"},\"IsRadio\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_album_likes\":[{\"value\":0.000133323,\"type\":\"#f\"}],\"IsArtist\":[{\"value\":0,\"type\":\"#f\"}],\"i_label\":[{\"value\":159,\"type\":\"#i\"}],\"IsGenericRadio\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"alb_cover\":[{\"value\":\"1\",\"type\":\"#p\"}],\"z_alb_name\":{\"type\":\"#z\",\"value\":\"sorry\"},\"artists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_playlists\":[{\"value\":0.00125362,\"type\":\"#f\"}],\"grp_id\":[{\"value\":\"1813\",\"type\":\"#p\"}],\"albums_count_of_non_skip_listening\":[{\"value\":0.000238948,\"type\":\"#f\"}],\"IsGenre\":[{\"value\":0,\"type\":\"#f\"}],\"grp_ex\":[{\"value\":\"<artist id=\\\"1813\\\" ><name>Madonna</name></artist>\",\"type\":\"#p\"}],\"albums_track_likes\":[{\"value\":0.000346292,\"type\":\"#f\"}],\"s_genre_bound_id\":[{\"value\":\"pop\",\"type\":\"#l\"}],\"tracks_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_albums\":[{\"value\":0.00175901,\"type\":\"#f\"}],\"_SerpInfo\":[{\"value\":\"{\\\"type\\\":\\\"musicplayer\\\",\\\"format\\\":\\\"json\\\",\\\"flat\\\":\\\"1\\\",\\\"subtype\\\":\\\"album\\\",\\\"remove\\\":\\\"lyrics\\\",\\\"slot\\\":\\\"full\\\"}\",\"type\":\"#p\"}],\"MusicLinkRank\":[{\"value\":0.527258,\"type\":\"#f\"}],\"albums_total_listening\":[{\"value\":0.0002979,\"type\":\"#f\"}],\"artists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"dup\":[{\"value\":\"8cea5f09af2f6fb61dded130b07fc4e5\",\"type\":\"#h\"}],\"url\":\"https://music.yandex.ru/album/18069?from=serp\",\"_SerpData\":[{\"value\":\"{\\\"track_id\\\":\\\"\\\",\\\"track_minus\\\":\\\"\\\",\\\"track_name\\\":\\\"\\\",\\\"track_remix\\\":\\\"\\\",\\\"track_storage_dir\\\":\\\"\\\",\\\"track_version\\\":\\\"\\\",\\\"track_len\\\":\\\"\\\",\\\"track_len_str\\\":\\\"00:00\\\",\\\"track_lyrics\\\":\\\"\\\",\\\"track_youtube_url\\\":\\\"\\\",\\\"track_html_autoplay_videoplayer\\\":\\\"\\\",\\\"track_video_thumbnail\\\":\\\"\\\",\\\"alb_data\\\":\\\"1612858_5895c9e4.75675092.1.178352\\\\\\\\t281\\\\\\\\tSorry\\\\\\\\t\\\",\\\"alb_data_json\\\":{\\\"first-tracks\\\":[{\\\"duration\\\":281,\\\"grp_name\\\":\\\"Madonna\\\",\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/33216/183cf121.a.18069-1/%%\\\",\\\"storage-dir\\\":\\\"183cf121.a.18069\\\",\\\"id\\\":\\\"18069\\\"},\\\"title\\\":\\\"Sorry\\\",\\\"storage-dir\\\":\\\"1612858_5895c9e4.75675092.1.178352\\\",\\\"id\\\":\\\"178352\\\"}]},\\\"alb_id\\\":\\\"18069\\\",\\\"alb_name\\\":\\\"Sorry\\\",\\\"alb_track_count\\\":\\\"5\\\",\\\"alb_year\\\":\\\"2006\\\",\\\"alb_storage_dir\\\":\\\"183cf121.a.18069\\\",\\\"alb_cover\\\":\\\"1\\\",\\\"alb_cover_path\\\":\\\"183cf121.a.18069/1\\\",\\\"alb_image_uri\\\":\\\"avatars.yandex.net/get-music-content/33216/183cf121.a.18069-1/%%\\\",\\\"grp_data\\\":\\\"\\\",\\\"grp_data_json\\\":\\\"\\\",\\\"grp\\\":[{\\\"name\\\":\\\"Madonna\\\",\\\"tracks\\\":\\\"379\\\",\\\"albums\\\":\\\"65\\\",\\\"id\\\":\\\"1813\\\"}],\\\"grp_similar\\\":\\\"\\\",\\\"grp_similar_ids\\\":[],\\\"grp_similar_names\\\":[],\\\"pls_data\\\":\\\"\\\",\\\"pls_data_json\\\":\\\"\\\",\\\"pls_kind\\\":\\\"\\\",\\\"pls_name\\\":\\\"\\\",\\\"pls_track_count\\\":\\\"\\\",\\\"pls_user_id\\\":\\\"\\\",\\\"pls_user_login\\\":\\\"\\\",\\\"geo_id\\\":\\\"225\\\",\\\"mus_type\\\":\\\"2\\\",\\\"pop_tr_ids\\\":[\\\"1612858_5895c9e4.75675092.1.178352\\\"],\\\"pop_tr_lens\\\":[\\\"281\\\"],\\\"pop_tr_names\\\":[\\\"Sorry\\\"],\\\"pop_tr_groups\\\":[\\\"\\\"],\\\"pop_tr_versions\\\":[\\\"\\\"],\\\"max_tr_cnt\\\":3,\\\"popularity\\\":\\\"2456.0\\\",\\\"radio\\\":\\\"\\\",\\\"rank\\\":\\\"0.527257665753\\\",\\\"various\\\":\\\"0\\\"}\",\"type\":\"#p\"}],\"tracks_recom_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTRVeryLong\":[{\"value\":0.00401554,\"type\":\"#f\"}],\"Explicit\":[{\"value\":0,\"type\":\"#f\"}],\"explicit\":[{\"value\":\"0\",\"type\":\"#p\"}],\"IsTrack\":[{\"value\":0,\"type\":\"#f\"}],\"type\":[{\"value\":\"2\",\"type\":\"#p\"}],\"tracks_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"rank\":[{\"value\":\"0.527257665753\",\"type\":\"#p\"}],\"artists_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"UserId\":[{\"value\":0,\"type\":\"#F\"}],\"artists_artist_likes\":[{\"value\":0,\"type\":\"#f\"}],\"alb_name\":[{\"value\":\"Sorry\",\"type\":\"#p\"}],\"tracks_total_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsUser\":[{\"value\":0,\"type\":\"#f\"}]}],\"action\":\"modify\",\"prefix\":1}"),
        TStringBuf("{\"docs\":[{\"tracks_count_of_users\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_fast_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"IsLive\":[{\"value\":0,\"type\":\"#f\"}],\"IsTribute\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTR\":[{\"value\":0.00101989,\"type\":\"#f\"}],\"IsRemix\":[{\"value\":0,\"type\":\"#f\"}],\"various\":[{\"value\":\"0\",\"type\":\"#p\"}],\"alb_storage_dir\":[{\"value\":\"f8997ca7.a.18070\",\"type\":\"#p\"}],\"title\":{\"type\":\"#z\",\"value\":\"Madonna Sorry\"},\"tracks_radio_likes\":[{\"value\":0,\"type\":\"#f\"}],\"artists_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_performer\":{\"type\":\"#z\",\"value\":\"мадонна. madonna l ciccone. מדונה. マドンナ. madonna. madonna ciccone\"},\"IsUgc\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsPlaylist\":[{\"value\":0,\"type\":\"#f\"}],\"z_grp_name\":{\"type\":\"#z\",\"value\":\"madonna\"},\"alb_id\":[{\"value\":\"18070\",\"type\":\"#p\"}],\"regions\":[{\"value\":\"149\",\"type\":\"#p\"},{\"value\":\"149mp\",\"type\":\"#p\"},{\"value\":\"159\",\"type\":\"#p\"},{\"value\":\"159mp\",\"type\":\"#p\"},{\"value\":\"167\",\"type\":\"#p\"},{\"value\":\"167mp\",\"type\":\"#p\"},{\"value\":\"168\",\"type\":\"#p\"},{\"value\":\"168mp\",\"type\":\"#p\"},{\"value\":\"169\",\"type\":\"#p\"},{\"value\":\"169mp\",\"type\":\"#p\"},{\"value\":\"170\",\"type\":\"#p\"},{\"value\":\"170mp\",\"type\":\"#p\"},{\"value\":\"171\",\"type\":\"#p\"},{\"value\":\"171mp\",\"type\":\"#p\"},{\"value\":\"181\",\"type\":\"#p\"},{\"value\":\"181mp\",\"type\":\"#p\"},{\"value\":\"187\",\"type\":\"#p\"},{\"value\":\"187mp\",\"type\":\"#p\"},{\"value\":\"207\",\"type\":\"#p\"},{\"value\":\"207mp\",\"type\":\"#p\"},{\"value\":\"208\",\"type\":\"#p\"},{\"value\":\"208mp\",\"type\":\"#p\"},{\"value\":\"209\",\"type\":\"#p\"},{\"value\":\"209mp\",\"type\":\"#p\"},{\"value\":\"225\",\"type\":\"#p\"},{\"value\":\"225mp\",\"type\":\"#p\"}],\"alb_type\":[{\"value\":\"single\",\"type\":\"#p\"}],\"options\":{\"realtime\":false,\"mime_type\":\"text/plain\"},\"LogShown\":[{\"value\":7.58172,\"type\":\"#f\"}],\"IsAlbum\":[{\"value\":1,\"type\":\"#f\"}],\"CTRLong\":[{\"value\":0.000509944,\"type\":\"#f\"}],\"tracks_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_fast_skip_listening\":[{\"value\":0.00228338,\"type\":\"#f\"}],\"tracks_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"grp_name\":[{\"value\":\"Madonna\",\"type\":\"#p\"}],\"z_strict_title\":{\"type\":\"#z\",\"value\":\"sorry\"},\"alb_year\":[{\"value\":\"2006\",\"type\":\"#p\"}],\"AlbumVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"i_type\":[{\"value\":2,\"type\":\"#i\"}],\"FreshAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"TrackVersionRank\":[{\"value\":0,\"type\":\"#f\"}],\"s_rights\":[{\"value\":\"225\",\"type\":\"#l\"},{\"value\":\"225mp\",\"type\":\"#l\"}],\"IsJunk\":[{\"value\":0,\"type\":\"#f\"}],\"NormalizedPopularity\":[{\"value\":0.576607,\"type\":\"#f\"}],\"z_title\":{\"type\":\"#z\",\"value\":\"sorry\"},\"IsRadio\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_album_likes\":[{\"value\":0.000346639,\"type\":\"#f\"}],\"IsArtist\":[{\"value\":0,\"type\":\"#f\"}],\"i_label\":[{\"value\":159,\"type\":\"#i\"}],\"IsGenericRadio\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"alb_cover\":[{\"value\":\"1\",\"type\":\"#p\"}],\"z_alb_name\":{\"type\":\"#z\",\"value\":\"sorry\"},\"artists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_playlists\":[{\"value\":0.00839562,\"type\":\"#f\"}],\"grp_id\":[{\"value\":\"1813\",\"type\":\"#p\"}],\"albums_count_of_non_skip_listening\":[{\"value\":0.00165196,\"type\":\"#f\"}],\"IsGenre\":[{\"value\":0,\"type\":\"#f\"}],\"grp_ex\":[{\"value\":\"<artist id=\\\"1813\\\" ><name>Madonna</name></artist>\",\"type\":\"#p\"}],\"albums_track_likes\":[{\"value\":0.00287862,\"type\":\"#f\"}],\"s_genre_bound_id\":[{\"value\":\"pop\",\"type\":\"#l\"}],\"tracks_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_albums\":[{\"value\":0.00117268,\"type\":\"#f\"}],\"_SerpInfo\":[{\"value\":\"{\\\"type\\\":\\\"musicplayer\\\",\\\"format\\\":\\\"json\\\",\\\"flat\\\":\\\"1\\\",\\\"subtype\\\":\\\"album\\\",\\\"remove\\\":\\\"lyrics\\\",\\\"slot\\\":\\\"full\\\"}\",\"type\":\"#p\"}],\"MusicLinkRank\":[{\"value\":0.583158,\"type\":\"#f\"}],\"albums_total_listening\":[{\"value\":0.00183179,\"type\":\"#f\"}],\"artists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"dup\":[{\"value\":\"8cea5f09af2f6fb61dded130b07fc4e5\",\"type\":\"#h\"}],\"url\":\"https://music.yandex.ru/album/18070?from=serp\",\"_SerpData\":[{\"value\":\"{\\\"track_id\\\":\\\"\\\",\\\"track_minus\\\":\\\"\\\",\\\"track_name\\\":\\\"\\\",\\\"track_remix\\\":\\\"\\\",\\\"track_storage_dir\\\":\\\"\\\",\\\"track_version\\\":\\\"\\\",\\\"track_len\\\":\\\"\\\",\\\"track_len_str\\\":\\\"00:00\\\",\\\"track_lyrics\\\":\\\"\\\",\\\"track_youtube_url\\\":\\\"\\\",\\\"track_html_autoplay_videoplayer\\\":\\\"\\\",\\\"track_video_thumbnail\\\":\\\"\\\",\\\"alb_data\\\":\\\"57678_6c9e2a17.203853.1.178342\\\\\\\\t238\\\\\\\\tSorry\\\\\\\\t\\\",\\\"alb_data_json\\\":{\\\"first-tracks\\\":[{\\\"duration\\\":238,\\\"grp_name\\\":\\\"Madonna\\\",\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/34131/f8997ca7.a.18070-1/%%\\\",\\\"storage-dir\\\":\\\"f8997ca7.a.18070\\\",\\\"id\\\":\\\"18070\\\"},\\\"title\\\":\\\"Sorry\\\",\\\"storage-dir\\\":\\\"57678_6c9e2a17.203853.1.178342\\\",\\\"id\\\":\\\"178342\\\"}]},\\\"alb_id\\\":\\\"18070\\\",\\\"alb_name\\\":\\\"Sorry\\\",\\\"alb_track_count\\\":\\\"5\\\",\\\"alb_year\\\":\\\"2006\\\",\\\"alb_storage_dir\\\":\\\"f8997ca7.a.18070\\\",\\\"alb_cover\\\":\\\"1\\\",\\\"alb_cover_path\\\":\\\"f8997ca7.a.18070/1\\\",\\\"alb_image_uri\\\":\\\"avatars.yandex.net/get-music-content/34131/f8997ca7.a.18070-1/%%\\\",\\\"grp_data\\\":\\\"\\\",\\\"grp_data_json\\\":\\\"\\\",\\\"grp\\\":[{\\\"name\\\":\\\"Madonna\\\",\\\"tracks\\\":\\\"379\\\",\\\"albums\\\":\\\"65\\\",\\\"id\\\":\\\"1813\\\"}],\\\"grp_similar\\\":\\\"\\\",\\\"grp_similar_ids\\\":[],\\\"grp_similar_names\\\":[],\\\"pls_data\\\":\\\"\\\",\\\"pls_data_json\\\":\\\"\\\",\\\"pls_kind\\\":\\\"\\\",\\\"pls_name\\\":\\\"\\\",\\\"pls_track_count\\\":\\\"\\\",\\\"pls_user_id\\\":\\\"\\\",\\\"pls_user_login\\\":\\\"\\\",\\\"geo_id\\\":\\\"225\\\",\\\"mus_type\\\":\\\"2\\\",\\\"pop_tr_ids\\\":[\\\"57678_6c9e2a17.203853.1.178342\\\"],\\\"pop_tr_lens\\\":[\\\"238\\\"],\\\"pop_tr_names\\\":[\\\"Sorry\\\"],\\\"pop_tr_groups\\\":[\\\"\\\"],\\\"pop_tr_versions\\\":[\\\"\\\"],\\\"max_tr_cnt\\\":3,\\\"popularity\\\":\\\"5704.0\\\",\\\"radio\\\":\\\"\\\",\\\"rank\\\":\\\"0.583157864376\\\",\\\"various\\\":\\\"0\\\"}\",\"type\":\"#p\"}],\"tracks_recom_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTRVeryLong\":[{\"value\":0.000509944,\"type\":\"#f\"}],\"Explicit\":[{\"value\":0,\"type\":\"#f\"}],\"explicit\":[{\"value\":\"0\",\"type\":\"#p\"}],\"IsTrack\":[{\"value\":0,\"type\":\"#f\"}],\"type\":[{\"value\":\"2\",\"type\":\"#p\"}],\"tracks_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"rank\":[{\"value\":\"0.583157864376\",\"type\":\"#p\"}],\"artists_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"UserId\":[{\"value\":0,\"type\":\"#F\"}],\"artists_artist_likes\":[{\"value\":0,\"type\":\"#f\"}],\"alb_name\":[{\"value\":\"Sorry\",\"type\":\"#p\"}],\"tracks_total_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsUser\":[{\"value\":0,\"type\":\"#f\"}]}],\"action\":\"modify\",\"prefix\":1}"),
        TStringBuf("{\"docs\":[{\"tracks_count_of_users\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_fast_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"IsLive\":[{\"value\":0,\"type\":\"#f\"}],\"IsTribute\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTR\":[{\"value\":0.00121669,\"type\":\"#f\"}],\"IsRemix\":[{\"value\":0,\"type\":\"#f\"}],\"various\":[{\"value\":\"0\",\"type\":\"#p\"}],\"alb_storage_dir\":[{\"value\":\"b36bf7c1.a.18078\",\"type\":\"#p\"}],\"title\":{\"type\":\"#z\",\"value\":\"Madonna Get Together\"},\"tracks_radio_likes\":[{\"value\":0,\"type\":\"#f\"}],\"artists_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_performer\":{\"type\":\"#z\",\"value\":\"мадонна. madonna l ciccone. מדונה. マドンナ. madonna. madonna ciccone\"},\"IsUgc\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsPlaylist\":[{\"value\":0,\"type\":\"#f\"}],\"z_grp_name\":{\"type\":\"#z\",\"value\":\"madonna\"},\"alb_id\":[{\"value\":\"18078\",\"type\":\"#p\"}],\"regions\":[{\"value\":\"149\",\"type\":\"#p\"},{\"value\":\"149mp\",\"type\":\"#p\"},{\"value\":\"159\",\"type\":\"#p\"},{\"value\":\"159mp\",\"type\":\"#p\"},{\"value\":\"167\",\"type\":\"#p\"},{\"value\":\"167mp\",\"type\":\"#p\"},{\"value\":\"168\",\"type\":\"#p\"},{\"value\":\"168mp\",\"type\":\"#p\"},{\"value\":\"169\",\"type\":\"#p\"},{\"value\":\"169mp\",\"type\":\"#p\"},{\"value\":\"170\",\"type\":\"#p\"},{\"value\":\"170mp\",\"type\":\"#p\"},{\"value\":\"171\",\"type\":\"#p\"},{\"value\":\"171mp\",\"type\":\"#p\"},{\"value\":\"181\",\"type\":\"#p\"},{\"value\":\"181mp\",\"type\":\"#p\"},{\"value\":\"187\",\"type\":\"#p\"},{\"value\":\"187mp\",\"type\":\"#p\"},{\"value\":\"207\",\"type\":\"#p\"},{\"value\":\"207mp\",\"type\":\"#p\"},{\"value\":\"208\",\"type\":\"#p\"},{\"value\":\"208mp\",\"type\":\"#p\"},{\"value\":\"209\",\"type\":\"#p\"},{\"value\":\"209mp\",\"type\":\"#p\"},{\"value\":\"225\",\"type\":\"#p\"},{\"value\":\"225mp\",\"type\":\"#p\"}],\"alb_type\":[{\"value\":\"single\",\"type\":\"#p\"}],\"options\":{\"realtime\":false,\"mime_type\":\"text/plain\"},\"LogShown\":[{\"value\":9.01433,\"type\":\"#f\"}],\"IsAlbum\":[{\"value\":1,\"type\":\"#f\"}],\"CTRLong\":[{\"value\":0.000365008,\"type\":\"#f\"}],\"tracks_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_fast_skip_listening\":[{\"value\":0.000316386,\"type\":\"#f\"}],\"tracks_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"grp_name\":[{\"value\":\"Madonna\",\"type\":\"#p\"}],\"z_strict_title\":{\"type\":\"#z\",\"value\":\"get together\"},\"alb_year\":[{\"value\":\"2006\",\"type\":\"#p\"}],\"AlbumVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"i_type\":[{\"value\":2,\"type\":\"#i\"}],\"FreshAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"TrackVersionRank\":[{\"value\":0,\"type\":\"#f\"}],\"s_rights\":[{\"value\":\"225\",\"type\":\"#l\"},{\"value\":\"225mp\",\"type\":\"#l\"}],\"IsJunk\":[{\"value\":0,\"type\":\"#f\"}],\"NormalizedPopularity\":[{\"value\":0.46415,\"type\":\"#f\"}],\"z_title\":{\"type\":\"#z\",\"value\":\"get together\"},\"IsRadio\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_album_likes\":[{\"value\":0.000186652,\"type\":\"#f\"}],\"IsArtist\":[{\"value\":0,\"type\":\"#f\"}],\"i_label\":[{\"value\":159,\"type\":\"#i\"}],\"IsGenericRadio\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"alb_cover\":[{\"value\":\"1\",\"type\":\"#p\"}],\"z_alb_name\":{\"type\":\"#z\",\"value\":\"get together\"},\"artists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_playlists\":[{\"value\":0.000599752,\"type\":\"#f\"}],\"grp_id\":[{\"value\":\"1813\",\"type\":\"#p\"}],\"albums_count_of_non_skip_listening\":[{\"value\":0.000187548,\"type\":\"#f\"}],\"IsGenre\":[{\"value\":0,\"type\":\"#f\"}],\"grp_ex\":[{\"value\":\"<artist id=\\\"1813\\\" ><name>Madonna</name></artist>\",\"type\":\"#p\"}],\"albums_track_likes\":[{\"value\":0.000298916,\"type\":\"#f\"}],\"s_genre_bound_id\":[{\"value\":\"pop\",\"type\":\"#l\"}],\"tracks_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_albums\":[{\"value\":0.00117268,\"type\":\"#f\"}],\"_SerpInfo\":[{\"value\":\"{\\\"type\\\":\\\"musicplayer\\\",\\\"format\\\":\\\"json\\\",\\\"flat\\\":\\\"1\\\",\\\"subtype\\\":\\\"album\\\",\\\"remove\\\":\\\"lyrics\\\",\\\"slot\\\":\\\"full\\\"}\",\"type\":\"#p\"}],\"MusicLinkRank\":[{\"value\":0.471687,\"type\":\"#f\"}],\"albums_total_listening\":[{\"value\":0.000230319,\"type\":\"#f\"}],\"artists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"dup\":[{\"value\":\"d74f9351e10c402fe1c2a6b07987f933\",\"type\":\"#h\"}],\"url\":\"https://music.yandex.ru/album/18078?from=serp\",\"_SerpData\":[{\"value\":\"{\\\"track_id\\\":\\\"\\\",\\\"track_minus\\\":\\\"\\\",\\\"track_name\\\":\\\"\\\",\\\"track_remix\\\":\\\"\\\",\\\"track_storage_dir\\\":\\\"\\\",\\\"track_version\\\":\\\"\\\",\\\"track_len\\\":\\\"\\\",\\\"track_len_str\\\":\\\"00:00\\\",\\\"track_lyrics\\\":\\\"\\\",\\\"track_youtube_url\\\":\\\"\\\",\\\"track_html_autoplay_videoplayer\\\":\\\"\\\",\\\"track_video_thumbnail\\\":\\\"\\\",\\\"alb_data\\\":\\\"58557_346fac84.203908.178386\\\\\\\\t314\\\\\\\\tGet Together\\\\\\\\t\\\",\\\"alb_data_json\\\":{\\\"first-tracks\\\":[{\\\"duration\\\":314,\\\"grp_name\\\":\\\"Madonna\\\",\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/42108/b36bf7c1.a.18078-1/%%\\\",\\\"storage-dir\\\":\\\"b36bf7c1.a.18078\\\",\\\"id\\\":\\\"18078\\\"},\\\"title\\\":\\\"Get Together\\\",\\\"storage-dir\\\":\\\"58557_346fac84.203908.178386\\\",\\\"id\\\":\\\"178386\\\"}]},\\\"alb_id\\\":\\\"18078\\\",\\\"alb_name\\\":\\\"Get Together\\\",\\\"alb_track_count\\\":\\\"6\\\",\\\"alb_year\\\":\\\"2006\\\",\\\"alb_storage_dir\\\":\\\"b36bf7c1.a.18078\\\",\\\"alb_cover\\\":\\\"1\\\",\\\"alb_cover_path\\\":\\\"b36bf7c1.a.18078/1\\\",\\\"alb_image_uri\\\":\\\"avatars.yandex.net/get-music-content/42108/b36bf7c1.a.18078-1/%%\\\",\\\"grp_data\\\":\\\"\\\",\\\"grp_data_json\\\":\\\"\\\",\\\"grp\\\":[{\\\"name\\\":\\\"Madonna\\\",\\\"tracks\\\":\\\"379\\\",\\\"albums\\\":\\\"65\\\",\\\"id\\\":\\\"1813\\\"}],\\\"grp_similar\\\":\\\"\\\",\\\"grp_similar_ids\\\":[],\\\"grp_similar_names\\\":[],\\\"pls_data\\\":\\\"\\\",\\\"pls_data_json\\\":\\\"\\\",\\\"pls_kind\\\":\\\"\\\",\\\"pls_name\\\":\\\"\\\",\\\"pls_track_count\\\":\\\"\\\",\\\"pls_user_id\\\":\\\"\\\",\\\"pls_user_login\\\":\\\"\\\",\\\"geo_id\\\":\\\"225\\\",\\\"mus_type\\\":\\\"2\\\",\\\"pop_tr_ids\\\":[\\\"58557_346fac84.203908.178386\\\"],\\\"pop_tr_lens\\\":[\\\"314\\\"],\\\"pop_tr_names\\\":[\\\"Get Together\\\"],\\\"pop_tr_groups\\\":[\\\"\\\"],\\\"pop_tr_versions\\\":[\\\"\\\"],\\\"max_tr_cnt\\\":3,\\\"popularity\\\":\\\"1055.0\\\",\\\"radio\\\":\\\"\\\",\\\"rank\\\":\\\"0.471686770013\\\",\\\"various\\\":\\\"0\\\"}\",\"type\":\"#p\"}],\"tracks_recom_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTRVeryLong\":[{\"value\":0.000121669,\"type\":\"#f\"}],\"Explicit\":[{\"value\":0,\"type\":\"#f\"}],\"explicit\":[{\"value\":\"0\",\"type\":\"#p\"}],\"IsTrack\":[{\"value\":0,\"type\":\"#f\"}],\"type\":[{\"value\":\"2\",\"type\":\"#p\"}],\"tracks_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"rank\":[{\"value\":\"0.471686770013\",\"type\":\"#p\"}],\"artists_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"UserId\":[{\"value\":0,\"type\":\"#F\"}],\"artists_artist_likes\":[{\"value\":0,\"type\":\"#f\"}],\"alb_name\":[{\"value\":\"Get Together\",\"type\":\"#p\"}],\"tracks_total_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsUser\":[{\"value\":0,\"type\":\"#f\"}]}],\"action\":\"modify\",\"prefix\":1}"),
        TStringBuf("{\"docs\":[{\"tracks_count_of_users\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_fast_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"IsLive\":[{\"value\":0,\"type\":\"#f\"}],\"IsTribute\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTR\":[{\"value\":0.0053012,\"type\":\"#f\"}],\"IsRemix\":[{\"value\":0,\"type\":\"#f\"}],\"various\":[{\"value\":\"0\",\"type\":\"#p\"}],\"alb_storage_dir\":[{\"value\":\"946e604a.a.18098\",\"type\":\"#p\"}],\"title\":{\"type\":\"#z\",\"value\":\"Madonna Jump\"},\"tracks_radio_likes\":[{\"value\":0,\"type\":\"#f\"}],\"artists_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"z_performer\":{\"type\":\"#z\",\"value\":\"мадонна. madonna l ciccone. מדונה. マドンナ. madonna. madonna ciccone\"},\"IsUgc\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"IsPlaylist\":[{\"value\":0,\"type\":\"#f\"}],\"z_grp_name\":{\"type\":\"#z\",\"value\":\"madonna\"},\"alb_id\":[{\"value\":\"18098\",\"type\":\"#p\"}],\"alb_version\":[{\"value\":\"DMD Maxi\",\"type\":\"#p\"}],\"regions\":[{\"value\":\"149\",\"type\":\"#p\"},{\"value\":\"149mp\",\"type\":\"#p\"},{\"value\":\"159\",\"type\":\"#p\"},{\"value\":\"159mp\",\"type\":\"#p\"},{\"value\":\"167\",\"type\":\"#p\"},{\"value\":\"167mp\",\"type\":\"#p\"},{\"value\":\"168\",\"type\":\"#p\"},{\"value\":\"168mp\",\"type\":\"#p\"},{\"value\":\"169\",\"type\":\"#p\"},{\"value\":\"169mp\",\"type\":\"#p\"},{\"value\":\"170\",\"type\":\"#p\"},{\"value\":\"170mp\",\"type\":\"#p\"},{\"value\":\"171\",\"type\":\"#p\"},{\"value\":\"171mp\",\"type\":\"#p\"},{\"value\":\"181\",\"type\":\"#p\"},{\"value\":\"181mp\",\"type\":\"#p\"},{\"value\":\"187\",\"type\":\"#p\"},{\"value\":\"187mp\",\"type\":\"#p\"},{\"value\":\"207\",\"type\":\"#p\"},{\"value\":\"207mp\",\"type\":\"#p\"},{\"value\":\"208\",\"type\":\"#p\"},{\"value\":\"208mp\",\"type\":\"#p\"},{\"value\":\"209\",\"type\":\"#p\"},{\"value\":\"209mp\",\"type\":\"#p\"},{\"value\":\"225\",\"type\":\"#p\"},{\"value\":\"225mp\",\"type\":\"#p\"}],\"alb_type\":[{\"value\":\"single\",\"type\":\"#p\"}],\"options\":{\"realtime\":false,\"mime_type\":\"text/plain\"},\"LogShown\":[{\"value\":8.3311,\"type\":\"#f\"}],\"IsAlbum\":[{\"value\":1,\"type\":\"#f\"}],\"CTRLong\":[{\"value\":0.00216867,\"type\":\"#f\"}],\"tracks_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_fast_skip_listening\":[{\"value\":0.00138837,\"type\":\"#f\"}],\"tracks_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"grp_name\":[{\"value\":\"Madonna\",\"type\":\"#p\"}],\"z_strict_title\":{\"type\":\"#z\",\"value\":\"jump\"},\"alb_year\":[{\"value\":\"2006\",\"type\":\"#p\"}],\"AlbumVersionRank\":[{\"value\":0.5,\"type\":\"#f\"}],\"i_type\":[{\"value\":2,\"type\":\"#i\"}],\"FreshAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"z_alb_version\":{\"type\":\"#z\",\"value\":\"dmd maxi\"},\"TrackVersionRank\":[{\"value\":0,\"type\":\"#f\"}],\"s_rights\":[{\"value\":\"225\",\"type\":\"#l\"},{\"value\":\"225mp\",\"type\":\"#l\"}],\"IsJunk\":[{\"value\":0,\"type\":\"#f\"}],\"NormalizedPopularity\":[{\"value\":0.589517,\"type\":\"#f\"}],\"z_title\":{\"type\":\"#z\",\"value\":\"jump. jump (dmd maxi)\"},\"IsRadio\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_album_likes\":[{\"value\":0.000239981,\"type\":\"#f\"}],\"IsArtist\":[{\"value\":0,\"type\":\"#f\"}],\"i_label\":[{\"value\":159,\"type\":\"#i\"}],\"IsGenericRadio\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"alb_cover\":[{\"value\":\"1\",\"type\":\"#p\"}],\"z_alb_name\":{\"type\":\"#z\",\"value\":\"jump\"},\"artists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_playlists\":[{\"value\":0.0030664,\"type\":\"#f\"}],\"grp_id\":[{\"value\":\"1813\",\"type\":\"#p\"}],\"albums_count_of_non_skip_listening\":[{\"value\":0.00103092,\"type\":\"#f\"}],\"IsGenre\":[{\"value\":0,\"type\":\"#f\"}],\"grp_ex\":[{\"value\":\"<artist id=\\\"1813\\\" ><name>Madonna</name></artist>\",\"type\":\"#p\"}],\"albums_track_likes\":[{\"value\":0.00144157,\"type\":\"#f\"}],\"s_genre_bound_id\":[{\"value\":\"dance\",\"type\":\"#l\"}],\"tracks_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_albums\":[{\"value\":0.00117268,\"type\":\"#f\"}],\"_SerpInfo\":[{\"value\":\"{\\\"type\\\":\\\"musicplayer\\\",\\\"format\\\":\\\"json\\\",\\\"flat\\\":\\\"1\\\",\\\"subtype\\\":\\\"album\\\",\\\"remove\\\":\\\"lyrics\\\",\\\"slot\\\":\\\"full\\\"}\",\"type\":\"#p\"}],\"MusicLinkRank\":[{\"value\":0.596052,\"type\":\"#f\"}],\"albums_total_listening\":[{\"value\":0.00111377,\"type\":\"#f\"}],\"artists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"dup\":[{\"value\":\"df48d04e0e7e81907091c554f8a9c6b5\",\"type\":\"#h\"}],\"url\":\"https://music.yandex.ru/album/18098?from=serp\",\"_SerpData\":[{\"value\":\"{\\\"track_id\\\":\\\"\\\",\\\"track_minus\\\":\\\"\\\",\\\"track_name\\\":\\\"\\\",\\\"track_remix\\\":\\\"\\\",\\\"track_storage_dir\\\":\\\"\\\",\\\"track_version\\\":\\\"\\\",\\\"track_len\\\":\\\"\\\",\\\"track_len_str\\\":\\\"00:00\\\",\\\"track_lyrics\\\":\\\"\\\",\\\"track_youtube_url\\\":\\\"\\\",\\\"track_html_autoplay_videoplayer\\\":\\\"\\\",\\\"track_video_thumbnail\\\":\\\"\\\",\\\"alb_data\\\":\\\"109168_914204fe.203944.1.178412\\\\\\\\t202\\\\\\\\tJump\\\\\\\\t\\\",\\\"alb_data_json\\\":{\\\"first-tracks\\\":[{\\\"duration\\\":202,\\\"grp_name\\\":\\\"Madonna\\\",\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/41288/946e604a.a.18098-1/%%\\\",\\\"storage-dir\\\":\\\"946e604a.a.18098\\\",\\\"id\\\":\\\"18098\\\"},\\\"title\\\":\\\"Jump\\\",\\\"storage-dir\\\":\\\"109168_914204fe.203944.1.178412\\\",\\\"id\\\":\\\"178412\\\"}]},\\\"alb_id\\\":\\\"18098\\\",\\\"alb_name\\\":\\\"Jump\\\",\\\"alb_track_count\\\":\\\"6\\\",\\\"alb_year\\\":\\\"2006\\\",\\\"alb_storage_dir\\\":\\\"946e604a.a.18098\\\",\\\"alb_cover\\\":\\\"1\\\",\\\"alb_cover_path\\\":\\\"946e604a.a.18098/1\\\",\\\"alb_image_uri\\\":\\\"avatars.yandex.net/get-music-content/41288/946e604a.a.18098-1/%%\\\",\\\"grp_data\\\":\\\"\\\",\\\"grp_data_json\\\":\\\"\\\",\\\"grp\\\":[{\\\"name\\\":\\\"Madonna\\\",\\\"tracks\\\":\\\"379\\\",\\\"albums\\\":\\\"65\\\",\\\"id\\\":\\\"1813\\\"}],\\\"grp_similar\\\":\\\"\\\",\\\"grp_similar_ids\\\":[],\\\"grp_similar_names\\\":[],\\\"pls_data\\\":\\\"\\\",\\\"pls_data_json\\\":\\\"\\\",\\\"pls_kind\\\":\\\"\\\",\\\"pls_name\\\":\\\"\\\",\\\"pls_track_count\\\":\\\"\\\",\\\"pls_user_id\\\":\\\"\\\",\\\"pls_user_login\\\":\\\"\\\",\\\"geo_id\\\":\\\"225\\\",\\\"mus_type\\\":\\\"2\\\",\\\"pop_tr_ids\\\":[\\\"109168_914204fe.203944.1.178412\\\"],\\\"pop_tr_lens\\\":[\\\"202\\\"],\\\"pop_tr_names\\\":[\\\"Jump\\\"],\\\"pop_tr_groups\\\":[\\\"\\\"],\\\"pop_tr_versions\\\":[\\\"\\\"],\\\"max_tr_cnt\\\":3,\\\"popularity\\\":\\\"6923.0\\\",\\\"radio\\\":\\\"\\\",\\\"rank\\\":\\\"0.596052421523\\\",\\\"various\\\":\\\"0\\\"}\",\"type\":\"#p\"}],\"tracks_recom_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTRVeryLong\":[{\"value\":0.00120482,\"type\":\"#f\"}],\"Explicit\":[{\"value\":0,\"type\":\"#f\"}],\"explicit\":[{\"value\":\"0\",\"type\":\"#p\"}],\"IsTrack\":[{\"value\":0,\"type\":\"#f\"}],\"type\":[{\"value\":\"2\",\"type\":\"#p\"}],\"tracks_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"rank\":[{\"value\":\"0.596052421523\",\"type\":\"#p\"}],\"artists_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"UserId\":[{\"value\":0,\"type\":\"#F\"}],\"artists_artist_likes\":[{\"value\":0,\"type\":\"#f\"}],\"alb_name\":[{\"value\":\"Jump\",\"type\":\"#p\"}],\"tracks_total_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsUser\":[{\"value\":0,\"type\":\"#f\"}]}],\"action\":\"modify\",\"prefix\":1}"),
        // arabic madonna
        TStringBuf("{\"docs\":[{\"tracks_count_of_users\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_fast_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"IsLive\":[{\"value\":0,\"type\":\"#f\"}],\"IsTribute\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTR\":[{\"value\":0.00358447,\"type\":\"#f\"}],\"IsRemix\":[{\"value\":0,\"type\":\"#f\"}],\"various\":[{\"value\":\"0\",\"type\":\"#p\"}],\"alb_storage_dir\":[{\"value\":\"efb8d9ed.a.2009693\",\"type\":\"#p\"}],\"title\":{\"type\":\"#z\",\"value\":\"Madonna\"},\"tracks_radio_likes\":[{\"value\":0,\"type\":\"#f\"}],\"artists_track_likes\":[{\"value\":2.28578e-05,\"type\":\"#f\"}],\"z_performer\":{\"type\":\"#z\",\"value\":\"マドンナ. madonna\"},\"IsUgc\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_fast_skip_listening\":[{\"value\":7.13234e-05,\"type\":\"#f\"}],\"IsPlaylist\":[{\"value\":0,\"type\":\"#f\"}],\"z_grp_name\":{\"type\":\"#z\",\"value\":\"madonna\"},\"regions\":[{\"value\":\"149\",\"type\":\"#p\"},{\"value\":\"149mp\",\"type\":\"#p\"},{\"value\":\"159\",\"type\":\"#p\"},{\"value\":\"159mp\",\"type\":\"#p\"},{\"value\":\"167\",\"type\":\"#p\"},{\"value\":\"167mp\",\"type\":\"#p\"},{\"value\":\"168\",\"type\":\"#p\"},{\"value\":\"168mp\",\"type\":\"#p\"},{\"value\":\"169\",\"type\":\"#p\"},{\"value\":\"169mp\",\"type\":\"#p\"},{\"value\":\"170\",\"type\":\"#p\"},{\"value\":\"170mp\",\"type\":\"#p\"},{\"value\":\"171\",\"type\":\"#p\"},{\"value\":\"171mp\",\"type\":\"#p\"},{\"value\":\"181\",\"type\":\"#p\"},{\"value\":\"181mp\",\"type\":\"#p\"},{\"value\":\"187\",\"type\":\"#p\"},{\"value\":\"187mp\",\"type\":\"#p\"},{\"value\":\"207\",\"type\":\"#p\"},{\"value\":\"207mp\",\"type\":\"#p\"},{\"value\":\"208\",\"type\":\"#p\"},{\"value\":\"208mp\",\"type\":\"#p\"},{\"value\":\"209\",\"type\":\"#p\"},{\"value\":\"209mp\",\"type\":\"#p\"},{\"value\":\"225\",\"type\":\"#p\"},{\"value\":\"225mp\",\"type\":\"#p\"}],\"options\":{\"realtime\":false,\"mime_type\":\"text/plain\"},\"LogShown\":[{\"value\":11.2221,\"type\":\"#f\"}],\"IsAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"CTRLong\":[{\"value\":0.000989741,\"type\":\"#f\"}],\"tracks_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_playlists\":[{\"value\":2.45909e-05,\"type\":\"#f\"}],\"albums_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"grp_name\":[{\"value\":\"Madonna\",\"type\":\"#p\"}],\"z_strict_title\":{\"type\":\"#z\",\"value\":\"madonna\"},\"AlbumVersionRank\":[{\"value\":0,\"type\":\"#f\"}],\"i_type\":[{\"value\":3,\"type\":\"#i\"}],\"FreshAlbum\":[{\"value\":0,\"type\":\"#f\"}],\"TrackVersionRank\":[{\"value\":0,\"type\":\"#f\"}],\"s_rights\":[{\"value\":\"149\",\"type\":\"#l\"},{\"value\":\"149mp\",\"type\":\"#l\"},{\"value\":\"159\",\"type\":\"#l\"},{\"value\":\"159mp\",\"type\":\"#l\"},{\"value\":\"167\",\"type\":\"#l\"},{\"value\":\"167mp\",\"type\":\"#l\"},{\"value\":\"168\",\"type\":\"#l\"},{\"value\":\"168mp\",\"type\":\"#l\"},{\"value\":\"169\",\"type\":\"#l\"},{\"value\":\"169mp\",\"type\":\"#l\"},{\"value\":\"170\",\"type\":\"#l\"},{\"value\":\"170mp\",\"type\":\"#l\"},{\"value\":\"171\",\"type\":\"#l\"},{\"value\":\"171mp\",\"type\":\"#l\"},{\"value\":\"181\",\"type\":\"#l\"},{\"value\":\"181mp\",\"type\":\"#l\"},{\"value\":\"187\",\"type\":\"#l\"},{\"value\":\"187mp\",\"type\":\"#l\"},{\"value\":\"207\",\"type\":\"#l\"},{\"value\":\"207mp\",\"type\":\"#l\"},{\"value\":\"208\",\"type\":\"#l\"},{\"value\":\"208mp\",\"type\":\"#l\"},{\"value\":\"209\",\"type\":\"#l\"},{\"value\":\"209mp\",\"type\":\"#l\"},{\"value\":\"225\",\"type\":\"#l\"},{\"value\":\"225mp\",\"type\":\"#l\"}],\"IsJunk\":[{\"value\":0,\"type\":\"#f\"}],\"NormalizedPopularity\":[{\"value\":0.214592,\"type\":\"#f\"}],\"z_title\":{\"type\":\"#z\",\"value\":\"マドンナ. madonna\"},\"IsRadio\":[{\"value\":0,\"type\":\"#f\"}],\"tracks_count_of_non_skip_listening_on_recom\":[{\"value\":0,\"type\":\"#f\"}],\"playlists_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_album_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsArtist\":[{\"value\":1,\"type\":\"#f\"}],\"IsGenericRadio\":[{\"value\":0,\"type\":\"#f\"}],\"alb_cover\":[{\"value\":\"1\",\"type\":\"#p\"}],\"playlists_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"artists_total_listening\":[{\"value\":2.54106e-05,\"type\":\"#f\"}],\"grp_data\":[{\"value\":\"<popular-tracks><track id=\\\"18129467\\\" storage-dir=\\\"68677_6204bc38.25449546.1.18129467\\\" duration=\\\"327\\\" duration-millis=\\\"327960\\\"><title>Madonna</title><album id=\\\"2009693\\\" storage-dir=\\\"efb8d9ed.a.2009693\\\"><title>Al Mazamir</title><cover id=\\\"1\\\"></cover></album><region>149</region><region>149mp</region><region>159</region><region>159mp</region><region>167</region><region>167mp</region><region>168</region><region>168mp</region><region>169</region><region>169mp</region><region>170</region><region>170mp</region><region>171</region><region>171mp</region><region>181</region><region>181mp</region><region>187</region><region>187mp</region><region>207</region><region>207mp</region><region>208</region><region>208mp</region><region>209</region><region>209mp</region><region>225</region><region>225mp</region></track><track id=\\\"18129460\\\" storage-dir=\\\"55473_d4db969e.25449539.1.18129460\\\" duration=\\\"301\\\" duration-millis=\\\"301910\\\"><title>Sameeni Moussica</title><album id=\\\"2009693\\\" storage-dir=\\\"efb8d9ed.a.2009693\\\"><title>Al Mazamir</title><cover id=\\\"1\\\"></cover></album><region>149</region><region>149mp</region><region>159</region><region>159mp</region><region>167</region><region>167mp</region><region>168</region><region>168mp</region><region>169</region><region>169mp</region><region>170</region><region>170mp</region><region>171</region><region>171mp</region><region>181</region><region>181mp</region><region>187</region><region>187mp</region><region>207</region><region>207mp</region><region>208</region><region>208mp</region><region>209</region><region>209mp</region><region>225</region><region>225mp</region></track><track id=\\\"18129461\\\" storage-dir=\\\"42680_e20eb615.25449540.1.18129461\\\" duration=\\\"432\\\" duration-millis=\\\"432970\\\"><title>A Eidak Rbeit</title><album id=\\\"2009693\\\" storage-dir=\\\"efb8d9ed.a.2009693\\\"><title>Al Mazamir</title><cover id=\\\"1\\\"></cover></album><region>149</region><region>149mp</region><region>159</region><region>159mp</region><region>167</region><region>167mp</region><region>168</region><region>168mp</region><region>169</region><region>169mp</region><region>170</region><region>170mp</region><region>171</region><region>171mp</region><region>181</region><region>181mp</region><region>187</region><region>187mp</region><region>207</region><region>207mp</region><region>208</region><region>208mp</region><region>209</region><region>209mp</region><region>225</region><region>225mp</region></track><track id=\\\"18430021\\\" storage-dir=\\\"46607_20a5129d.26102395.1.18430021\\\" duration=\\\"363\\\" duration-millis=\\\"363310\\\"><title>Abou Al Khayzaran</title><album id=\\\"2047741\\\" storage-dir=\\\"6db23fb6.a.2047741\\\"><title>Hits from Voice of Beirut, Vol. 1</title><cover id=\\\"1\\\"></cover></album><region>149</region><region>149mp</region><region>159</region><region>159mp</region><region>167</region><region>167mp</region><region>168</region><region>168mp</region><region>169</region><region>169mp</region><region>170</region><region>170mp</region><region>171</region><region>171mp</region><region>181</region><region>181mp</region><region>187</region><region>187mp</region><region>207</region><region>207mp</region><region>208</region><region>208mp</region><region>209</region><region>209mp</region><region>225</region><region>225mp</region></track><track id=\\\"19249220\\\" storage-dir=\\\"761679_08cf1409.28201384.1.19249220\\\" duration=\\\"269\\\" duration-millis=\\\"269070\\\"><title>Mouwachah Edna Eltayna</title><album id=\\\"2161827\\\" storage-dir=\\\"77b0318f.a.2161827\\\"><title>Safrat Al Ahlam</title><cover id=\\\"1\\\"></cover></album><region>149</region><region>149mp</region><region>159</region><region>159mp</region><region>167</region><region>167mp</region><region>168</region><region>168mp</region><region>169</region><region>169mp</region><region>170</region><region>170mp</region><region>171</region><region>171mp</region><region>181</region><region>181mp</region><region>187</region><region>187mp</region><region>207</region><region>207mp</region><region>208</region><region>208mp</region><region>209</region><region>209mp</region><region>225</region><region>225mp</region></track></popular-tracks>\",\"type\":\"#p\"}],\"albums_count_of_playlists\":[{\"value\":0,\"type\":\"#f\"}],\"grp_id\":[{\"value\":\"2443005\",\"type\":\"#p\"}],\"albums_count_of_non_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"i_radio\":[{\"value\":1,\"type\":\"#i\"}],\"IsGenre\":[{\"value\":0,\"type\":\"#f\"}],\"grp_ex\":[{\"value\":\"<artist id=\\\"2443005\\\" ><name>Madonna</name></artist>\",\"type\":\"#p\"}],\"albums_track_likes\":[{\"value\":0,\"type\":\"#f\"}],\"s_genre_bound_id\":[{\"value\":\"eastern\",\"type\":\"#l\"}],\"tracks_count_of_fast_skip_listening\":[{\"value\":0,\"type\":\"#f\"}],\"albums_count_of_albums\":[{\"value\":0,\"type\":\"#f\"}],\"_SerpInfo\":[{\"value\":\"{\\\"type\\\":\\\"musicplayer\\\",\\\"format\\\":\\\"json\\\",\\\"flat\\\":\\\"1\\\",\\\"subtype\\\":\\\"artist\\\",\\\"remove\\\":\\\"lyrics\\\",\\\"slot\\\":\\\"full\\\"}\",\"type\":\"#p\"}],\"MusicLinkRank\":[{\"value\":0.217717,\"type\":\"#f\"}],\"albums_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_non_skip_listening\":[{\"value\":9.70827e-06,\"type\":\"#f\"}],\"dup\":[{\"value\":\"0c173807457516b303c3399e0d40b375\",\"type\":\"#h\"}],\"url\":\"https://music.yandex.ru/artist/2443005?from=serp\",\"_SerpData\":[{\"value\":\"{\\\"track_id\\\":\\\"\\\",\\\"track_minus\\\":\\\"\\\",\\\"track_name\\\":\\\"\\\",\\\"track_remix\\\":\\\"\\\",\\\"track_storage_dir\\\":\\\"\\\",\\\"track_version\\\":\\\"\\\",\\\"track_len\\\":\\\"\\\",\\\"track_len_str\\\":\\\"00:00\\\",\\\"track_lyrics\\\":\\\"\\\",\\\"track_youtube_url\\\":\\\"\\\",\\\"track_html_autoplay_videoplayer\\\":\\\"\\\",\\\"track_video_thumbnail\\\":\\\"\\\",\\\"alb_data\\\":\\\"\\\",\\\"alb_data_json\\\":\\\"\\\",\\\"alb_id\\\":\\\"\\\",\\\"alb_name\\\":\\\"\\\",\\\"alb_track_count\\\":\\\"\\\",\\\"alb_year\\\":\\\"\\\",\\\"alb_storage_dir\\\":\\\"efb8d9ed.a.2009693\\\",\\\"alb_cover\\\":\\\"1\\\",\\\"alb_cover_path\\\":\\\"efb8d9ed.a.2009693/1\\\",\\\"alb_image_uri\\\":\\\"avatars.yandex.net/get-music-content/33216/efb8d9ed.a.2009693-1/%%\\\",\\\"grp_data\\\":\\\"68677_6204bc38.25449546.1.18129467\\\\\\\\t327\\\\\\\\tMadonna\\\\\\\\t\\\\\\\\n55473_d4db969e.25449539.1.18129460\\\\\\\\t301\\\\\\\\tSameeni Moussica\\\\\\\\t\\\\\\\\n42680_e20eb615.25449540.1.18129461\\\\\\\\t432\\\\\\\\tA Eidak Rbeit\\\\\\\\t\\\\\\\\n46607_20a5129d.26102395.1.18430021\\\\\\\\t363\\\\\\\\tAbou Al Khayzaran\\\\\\\\t\\\\\\\\n761679_08cf1409.28201384.1.19249220\\\\\\\\t269\\\\\\\\tMouwachah Edna Eltayna\\\\\\\\t\\\",\\\"grp_data_json\\\":{\\\"popular-tracks\\\":[{\\\"duration\\\":327,\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/33216/efb8d9ed.a.2009693-1/%%\\\",\\\"storage-dir\\\":\\\"efb8d9ed.a.2009693\\\",\\\"id\\\":\\\"2009693\\\"},\\\"title\\\":\\\"Madonna\\\",\\\"storage-dir\\\":\\\"68677_6204bc38.25449546.1.18129467\\\",\\\"id\\\":\\\"18129467\\\"},{\\\"duration\\\":301,\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/33216/efb8d9ed.a.2009693-1/%%\\\",\\\"storage-dir\\\":\\\"efb8d9ed.a.2009693\\\",\\\"id\\\":\\\"2009693\\\"},\\\"title\\\":\\\"Sameeni Moussica\\\",\\\"storage-dir\\\":\\\"55473_d4db969e.25449539.1.18129460\\\",\\\"id\\\":\\\"18129460\\\"},{\\\"duration\\\":432,\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/33216/efb8d9ed.a.2009693-1/%%\\\",\\\"storage-dir\\\":\\\"efb8d9ed.a.2009693\\\",\\\"id\\\":\\\"2009693\\\"},\\\"title\\\":\\\"A Eidak Rbeit\\\",\\\"storage-dir\\\":\\\"42680_e20eb615.25449540.1.18129461\\\",\\\"id\\\":\\\"18129461\\\"},{\\\"duration\\\":363,\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/28589/6db23fb6.a.2047741-1/%%\\\",\\\"storage-dir\\\":\\\"6db23fb6.a.2047741\\\",\\\"id\\\":\\\"2047741\\\"},\\\"title\\\":\\\"Abou Al Khayzaran\\\",\\\"storage-dir\\\":\\\"46607_20a5129d.26102395.1.18430021\\\",\\\"id\\\":\\\"18430021\\\"},{\\\"duration\\\":269,\\\"album\\\":{\\\"cover\\\":\\\"1\\\",\\\"image-uri\\\":\\\"avatars.yandex.net/get-music-content/49876/77b0318f.a.2161827-1/%%\\\",\\\"storage-dir\\\":\\\"77b0318f.a.2161827\\\",\\\"id\\\":\\\"2161827\\\"},\\\"title\\\":\\\"Mouwachah Edna Eltayna\\\",\\\"storage-dir\\\":\\\"761679_08cf1409.28201384.1.19249220\\\",\\\"id\\\":\\\"19249220\\\"}]},\\\"grp\\\":[{\\\"name\\\":\\\"Madonna\\\",\\\"tracks\\\":\\\"26\\\",\\\"albums\\\":\\\"2\\\",\\\"id\\\":\\\"2443005\\\"}],\\\"grp_similar\\\":\\\"7099\\\\\\\\tKylie Minogue\\\\\\\\n8773\\\\\\\\tMylène Farmer\\\\\\\\n14240\\\\\\\\tRobbie Williams\\\\\\\\n7090\\\\\\\\tNelly Furtado\\\\\\\\n972\\\\\\\\tMichael Jackson\\\",\\\"grp_similar_ids\\\":[\\\"7099\\\",\\\"8773\\\",\\\"14240\\\",\\\"7090\\\",\\\"972\\\"],\\\"grp_similar_names\\\":[\\\"Kylie Minogue\\\",\\\"Mylène Farmer\\\",\\\"Robbie Williams\\\",\\\"Nelly Furtado\\\",\\\"Michael Jackson\\\"],\\\"pls_data\\\":\\\"\\\",\\\"pls_data_json\\\":\\\"\\\",\\\"pls_kind\\\":\\\"\\\",\\\"pls_name\\\":\\\"\\\",\\\"pls_track_count\\\":\\\"\\\",\\\"pls_user_id\\\":\\\"\\\",\\\"pls_user_login\\\":\\\"\\\",\\\"geo_id\\\":\\\"225\\\",\\\"mus_type\\\":\\\"3\\\",\\\"pop_tr_ids\\\":[\\\"68677_6204bc38.25449546.1.18129467\\\",\\\"55473_d4db969e.25449539.1.18129460\\\",\\\"42680_e20eb615.25449540.1.18129461\\\",\\\"46607_20a5129d.26102395.1.18430021\\\",\\\"761679_08cf1409.28201384.1.19249220\\\"],\\\"pop_tr_lens\\\":[\\\"327\\\",\\\"301\\\",\\\"432\\\",\\\"363\\\",\\\"269\\\"],\\\"pop_tr_names\\\":[\\\"Madonna\\\",\\\"Sameeni Moussica\\\",\\\"A Eidak Rbeit\\\",\\\"Abou Al Khayzaran\\\",\\\"Mouwachah Edna Eltayna\\\"],\\\"pop_tr_groups\\\":[\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\"],\\\"pop_tr_versions\\\":[\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\"],\\\"max_tr_cnt\\\":3,\\\"popularity\\\":\\\"24.0\\\",\\\"radio\\\":\\\"1\\\",\\\"rank\\\":\\\"0.217717294051\\\",\\\"various\\\":\\\"0\\\"}\",\"type\":\"#p\"}],\"tracks_recom_listening\":[{\"value\":0,\"type\":\"#f\"}],\"CTRVeryLong\":[{\"value\":0.000307622,\"type\":\"#f\"}],\"Explicit\":[{\"value\":0,\"type\":\"#f\"}],\"IsTrack\":[{\"value\":0,\"type\":\"#f\"}],\"type\":[{\"value\":\"3\",\"type\":\"#p\"}],\"tracks_total_listening\":[{\"value\":0,\"type\":\"#f\"}],\"artists_count_of_albums\":[{\"value\":0.000925176,\"type\":\"#f\"}],\"UserId\":[{\"value\":0,\"type\":\"#F\"}],\"artists_artist_likes\":[{\"value\":6.98806e-06,\"type\":\"#f\"}],\"rank\":[{\"value\":\"0.217717294051\",\"type\":\"#p\"}],\"tracks_total_likes\":[{\"value\":0,\"type\":\"#f\"}],\"IsUser\":[{\"value\":0,\"type\":\"#f\"}]}],\"action\":\"modify\",\"prefix\":1}"),

    };
    constexpr size_t NumDocs = 13;
};

START_TEST_DEFINE(TestYmusicRearrange)

bool InitConfig() override {
//    SetIndexerParams(DISK, 100, 1);
    (*SPConfigDiff)["Service.AuxSource.CgiSearchPrefix"] = "http://" + Controller->GetConfig().Searcher.GetString() + "/@100@100@100";
    return true;
}

bool Run() override {
    if (Controller->GetActiveBackends().size() != 2) {
        ythrow yexception() << "expected 2 backends, found " << Controller->GetActiveBackends().size();
    }
    auto messages = PrepareMessages();
    IndexMessages(messages, REALTIME, 1, 0, true, true, TDuration(), TDuration(), 1, "tests");
    auto kvData = PrepareKvData();
    IndexMessages(kvData, REALTIME, 1, 0, true, true, TDuration(), TDuration(), 1, "tests-kv");
    const TString kps = GetAllKps(messages);

    TString baseQuery = "madonna&gta=type&gta=track_id&gta=alb_id&gta=grp_id&relev=calc%3Dis_user_doc%3Ainset%28%23UserId%2C%201184186053%29" + kps;
    TVector<TDocSearchInfo> unpersonalizedResults;
    TVector<TDocSearchInfo> results;
    // no data in kv
    QuerySearch(baseQuery + "&relev=uid%3Dunexisting&rearr=ymusic_personal%3D1", unpersonalizedResults);
//    for (const auto& doc : unpersonalizedResults) {
//        Cerr << doc.GetUrl() << Endl;
//    }
//    It is unpersonalized order:
//    Madonna first, than some of her tracks and albums and the last one is arabic madonna (quite unpopular)
//
//    https://music.yandex.ru/artist/1813?from=serp
//    https://music.yandex.ru/album/18098?from=serp
//    https://music.yandex.ru/album/18070?from=serp
//    https://music.yandex.ru/album/18069?from=serp
//    https://music.yandex.ru/album/18078?from=serp
//    https://music.yandex.ru/album/4024428/track/32981005?from=serp
//    https://music.yandex.ru/album/4024428/track/32981012?from=serp
//    https://music.yandex.ru/album/4024428/track/32981010?from=serp
//    https://music.yandex.ru/album/4024428/track/32981008?from=serp
//    https://music.yandex.ru/album/4024428/track/32981013?from=serp
//    https://music.yandex.ru/artist/2443005?from=serp
    CHECK_TEST_FAILED(unpersonalizedResults.size() != messages.size(), "Results size must be the same as indexed messages");

    QuerySearch(baseQuery + "&relev=uid%3D1&rearr=ymusic_personal%3D1", results);

    CHECK_TEST_FAILED(
            !CheckPersonalizedFirst(results, unpersonalizedResults, {"https://music.yandex.ru/artist/2443005?from=serp"}),
            "expected personalized results")

    QuerySearch(baseQuery + "&relev=uid%3D2&rearr=ymusic_personal%3D1", results);
    CHECK_TEST_FAILED(
            !CheckPersonalizedFirst(results, unpersonalizedResults, {"https://music.yandex.ru/album/4024428/track/32981005?from=serp"}),
            "expected personalized results")

    QuerySearch(baseQuery + "&relev=uid%3D3&rearr=ymusic_personal%3D1", results);
    CHECK_TEST_FAILED(
            !CheckPersonalizedFirst(results, unpersonalizedResults, {"https://music.yandex.ru/album/4024428/track/32981008?from=serp"}),
            "expected personalized results")

    QuerySearch(baseQuery + "&relev=uid%3D4&rearr=ymusic_personal%3D1", results);
    CHECK_TEST_FAILED(
            !CheckPersonalizedFirst(results, unpersonalizedResults, {"https://music.yandex.ru/album/18069?from=serp"}),
            "expected personalized results")

    QuerySearch(baseQuery + "&relev=uid%3D5&rearr=ymusic_personal%3D1", results);
    CHECK_TEST_FAILED(
            !CheckPersonalizedFirst(results, unpersonalizedResults, {"https://music.yandex.ru/album/18069?from=serp", "https://music.yandex.ru/album/4024428/track/32981010?from=serp", "https://music.yandex.ru/album/4024428/track/32981013?from=serp"}),
            "expected personalized results")

    // bad data in kv
    QuerySearch(baseQuery + "&relev=uid%3Dbad&rearr=ymusic_personal%3D1", results);
    CHECK_TEST_FAILED(!CheckIsUnpersonalized(results, unpersonalizedResults), "Expected unpersonalized results")

    // With disabled rule
    QuerySearch(baseQuery + "&relev=uid%3D1_1&rearr=ymusic_personal%3D0", results);
    CHECK_TEST_FAILED(!CheckIsUnpersonalized(results, unpersonalizedResults), "Expected unpersonalized results")

    // empty query (just to be sure)
    QuerySearch("&relev=uid%3D123&rearr=ymusic_personal%3D1" + kps, results);
    CHECK_TEST_FAILED(!results.empty(), "Results must be empty for empty text")
    return true;
}

bool CheckPersonalizedFirst(
        const TVector<TDocSearchInfo>& results,
        const TVector<TDocSearchInfo>& unpersonalizedResults,
        const TVector<TString>& personalizedDocumentUrls) {
    CHECK_TEST_FAILED(results.size() != unpersonalizedResults.size(), "Number of documents must be same as in unpersonalized")
    size_t i = 0;
    for (const auto& docUrl : personalizedDocumentUrls) {
        CHECK_TEST_FAILED(results[i].GetUrl() != docUrl, Sprintf("Unexpected url in rearranged order: %s, was expecting %s", results[i].GetUrl().data(), docUrl.data()))
        i++;
    }
    for (const auto& unpersonalizedDoc : unpersonalizedResults) {
        if (Find(personalizedDocumentUrls.begin(), personalizedDocumentUrls.end(), unpersonalizedDoc.GetUrl()) != personalizedDocumentUrls.end()) {
            Cerr << "Skipping " << unpersonalizedDoc.GetUrl() << Endl;
            continue;
        };
        CHECK_TEST_FAILED(unpersonalizedDoc.GetUrl() != results[i].GetUrl(), "Expected same order as unpersonalized")
        i++;
    }
    CHECK_TEST_FAILED(i != results.size(), "Not all documents were checked")
    return CheckRelevanceDescending(results);
}

bool CheckIsUnpersonalized(const TVector<TDocSearchInfo>& results, const TVector<TDocSearchInfo>& unpersonalizedResults) {
    CHECK_TEST_FAILED(results.size() != unpersonalizedResults.size(), "Number of documents must be same as in unpersonalized");
    for (size_t i = 0; i < results.size(); i++) {
        CHECK_TEST_FAILED(results[i].GetUrl() != unpersonalizedResults[i].GetUrl(), "Documents must be ordered same way as unpersonalized");
    }
    return CheckRelevanceDescending(results);
}

bool CheckRelevanceDescending(const TVector<TDocSearchInfo>& results) {
    if (results.empty()) {
        return true;
    }
    auto currentRelevance = results.front().GetRelevance();
    for (size_t i = 1; i < results.size(); i++) {
        CHECK_TEST_FAILED(results[i].GetRelevance() > currentRelevance, "Relevance of documents is not descending");
        currentRelevance = results[i].GetRelevance();
    }
    return true;
}

static TVector<NRTYServer::TMessage> PrepareMessages() {
    TVector<NRTYServer::TMessage> messages;
    messages.reserve(NumDocs);
    for (const auto& doc : Docs) {
        messages.push_back(NSaas::TAction().ParseFromJson(NJson::ReadJsonFastTree(doc)).ToProtobuf());
        messages.back().MutableDocument()->SetKeyPrefix(0);
    }
    return messages;
}

static TString BuildSerializedLikes(const TVector<int>& artistLikes, const TVector<int>& albumLikes, const TVector<int>& trackLikes) {
    NYmusic::TLikes likes;
    for (int like : artistLikes) {
        likes.AddArtists(like);
    }
    for (int like : albumLikes) {
        likes.AddAlbums(like);
    }
    for (int like : trackLikes) {
        likes.AddTracks(like);
    }
    TString serialized;
    Y_PROTOBUF_SUPPRESS_NODISCARD likes.SerializeToString(&serialized);
    return Base64Encode(serialized);
};

TVector<NRTYServer::TMessage> PrepareKvData() {
    TVector<NRTYServer::TMessage> messages;
    GenerateInput(messages, 6, NRTYServer::TMessage::MODIFY_DOCUMENT, GetIsPrefixed());
    BuildKvDocument(*messages[0].MutableDocument(), BuildSerializedLikes({2443005}, {}, {}), "1");
    BuildKvDocument(*messages[1].MutableDocument(), BuildSerializedLikes({}, {}, {32981005}), "2");
    BuildKvDocument(*messages[2].MutableDocument(), BuildSerializedLikes({}, {}, {32981008}), "3");
    BuildKvDocument(*messages[3].MutableDocument(), BuildSerializedLikes({}, {18069}, {}), "4");
    BuildKvDocument(*messages[4].MutableDocument(), BuildSerializedLikes({}, {18069}, {32981010, 32981013}), "5");
    BuildKvDocument(*messages[5].MutableDocument(), "malfored", "malformed");
    return messages;
}

static void BuildKvDocument(NRTYServer::TMessage::TDocument& document, const TString& likes, const TString& url) {
    document.SetUrl(url);
    auto& likesProp = *document.AddDocumentProperties();
    likesProp.SetName("likes");
    likesProp.SetValue(likes);
}

};
